<?php
namespace Creativeprofilecard\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class BWDPCProfileCard extends \Elementor\Widget_Base {


	public function get_name() {
		return 'bwbpc-profile-card';
	}

	public function get_title() {
		return esc_html__( 'BWD Profile Card', 'bwdpc-profile-card' );
	}

	public function get_icon() {
		return 'eicon-kit-parts bwdpc-profile-card-icon';
	}

	public function get_categories() {
		return [ 'bwdpc-profile-card-category' ];
	}

    public function get_keywords() {
		return [ 'profile', 'card', 'profile card' ];
	}

	public function get_script_depends() {
		return [ 'bwdpc-profile-card-category' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'bwdpc_profile_card_choose_style',
		    [
		        'label' => esc_html__('Choose Style','bwdpc-profile-card'),
				'tab'   => \Elementor\Controls_Manager::TAB_CONTENT,
		   
		    ]
		);
		$this->add_control(
			'bwdpc_profile_card_style',
			[
				'label' => esc_html__( 'Choose Style', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'style1',
				'options' => [
					'style1'  => esc_html__( 'Style 1', 'bwdpc-profile-card' ),
					'style2' => esc_html__( 'Style 2', 'bwdpc-profile-card' ),
					'style3' => esc_html__( 'Style 3', 'bwdpc-profile-card' ),
					'style4' => esc_html__( 'Style 4', 'bwdpc-profile-card' ),
					'style5' => esc_html__( 'Style 5', 'bwdpc-profile-card' ),
					'style6' => esc_html__( 'Style 6', 'bwdpc-profile-card' ),
					'style7' => esc_html__( 'Style 7', 'bwdpc-profile-card' ),
					'style8' => esc_html__( 'Style 8', 'bwdpc-profile-card' ),
					'style9' => esc_html__( 'Style 9', 'bwdpc-profile-card' ),
					'style10' => esc_html__( 'Style 10', 'bwdpc-profile-card' ),
					'style11' => esc_html__( 'Style 11', 'bwdpc-profile-card' ),
					'style12' => esc_html__( 'Style 12', 'bwdpc-profile-card' ),
					'style13' => esc_html__( 'Style 13', 'bwdpc-profile-card' ),
					'style14' => esc_html__( 'Style 14', 'bwdpc-profile-card' ),
					'style15' => esc_html__( 'Style 15', 'bwdpc-profile-card' ),
					'style16' => esc_html__( 'Style 16', 'bwdpc-profile-card' ),
					'style17' => esc_html__( 'Style 17', 'bwdpc-profile-card' ),
					'style18' => esc_html__( 'Style 18', 'bwdpc-profile-card' ),
					'style19' => esc_html__( 'Style 19', 'bwdpc-profile-card' ),
					'style20' => esc_html__( 'Style 20', 'bwdpc-profile-card' ),
					'style21' => esc_html__( 'Style 21', 'bwdpc-profile-card' ),
				],
			]
		);
        $this->add_responsive_control(
			'bwdpc_profile_card_column_option',
			[
				'label' => esc_html__( 'Choose Column', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'default',
				'options' => [
					'default' => esc_html__( 'Default', 'bwdpc-profile-card' ),
					'column1' => esc_html__( '1 Column', 'bwdpc-profile-card' ),
					'column2' => esc_html__( '2 Column', 'bwdpc-profile-card' ),
					'column3'  => esc_html__( '3 Column', 'bwdpc-profile-card' ),
                    'column4' => esc_html__( '4 Column', 'bwdpc-profile-card' ),
                    'column5' => esc_html__( '5 Column', 'bwdpc-profile-card' ),
                    'column6' => esc_html__( '6 Column', 'bwdpc-profile-card' ),
				],
				'prefix_class' => 'bwdpc-grid%s-'
			]
		);
        $this->add_responsive_control(
			'bwdpc_profile_card_column_gap',
			[
				'label' => esc_html__( 'Column Gap', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'default' => [
					'unit' => 'px',
					'size' => 15,
				],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 300,
						'step' => 1,
					],
				],
				'selectors' => [
					'{{WRAPPER}} .bwdpc_gapc' => 'padding-left: {{SIZE}}{{UNIT}}; padding-right: {{SIZE}}{{UNIT}};',
					'{{WRAPPER}} .bwdpc_gapr' => 'margin-left: -{{SIZE}}{{UNIT}}; margin-right: -{{SIZE}}{{UNIT}};',
				],
			]
		);
        $this->add_responsive_control (
			'bwdpc_profile_row_gap',
			[
				'label' => esc_html__( 'Row Gap', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'devices' => [ 'desktop', 'tablet', 'mobile' ],
				'size_units' => [ 'px', '%' ],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 1000,
					],
				],
                'default' => [
					'unit' => 'px',
					'size' => 30,
				],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-item,
                    {{WRAPPER}} .bwdpc-profile-card-wrapper' => 'margin-bottom: {{SIZE}}{{UNIT}};',
				],
			]
		);
        $this->add_responsive_control(
			'bwdpc_profile_card_align',
			[
				'label' => esc_html__( 'Content Alignment', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::CHOOSE,
				'options' => [
					'left' => [
						'title' => esc_html__( 'Left', 'bwdpc-profile-card' ),
						'icon' => 'eicon-text-align-left',
					],
					'center' => [
						'title' => esc_html__( 'Center', 'bwdpc-profile-card' ),
						'icon' => 'eicon-text-align-center',
					],
					'right' => [
						'title' => esc_html__( 'Right', 'bwdpc-profile-card' ),
						'icon' => 'eicon-text-align-right',
					],
				],
                'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-item,
                    {{WRAPPER}} .bwdpc-profile-card-content-area,
                    {{WRAPPER}} .bwdpc-profile-card-top-content,
                    {{WRAPPER}} .bwdpc-profile-content-item,
                    {{WRAPPER}} .bwdpc-profile-content-area' => 'text-align: {{VALUE}}',
				],
				'default' => 'center',
				'toggle' => true,
			]
		);
        $this->add_control(
			'bwdpc_profile_show_title',
			[
				'label' => esc_html__( 'Show Title', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => esc_html__( 'Show', 'bwdpc-profile-card' ),
				'label_off' => esc_html__( 'Hide', 'bwdpc-profile-card' ),
				'return_value' => 'yes',
				'default' => 'yes',
			]
		);
        $this->add_control(
			'bwdpc_profile_show_username',
			[
				'label' => esc_html__( 'Show Username', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => esc_html__( 'Show', 'bwdpc-profile-card' ),
				'label_off' => esc_html__( 'Hide', 'bwdpc-profile-card' ),
				'return_value' => 'yes',
				'default' => 'yes',
			]
		);
        $this->add_control(
			'bwdpc_profile_show_location',
			[
				'label' => esc_html__( 'Show Location', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => esc_html__( 'Show', 'bwdpc-profile-card' ),
				'label_off' => esc_html__( 'Hide', 'bwdpc-profile-card' ),
				'return_value' => 'yes',
				'default' => 'yes',
			]
		);
        $this->add_control(
			'bwdpc_profile_show_status',
			[
				'label' => esc_html__( 'Show Status', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => esc_html__( 'Show', 'bwdpc-profile-card' ),
				'label_off' => esc_html__( 'Hide', 'bwdpc-profile-card' ),
				'return_value' => 'yes',
				'default' => 'yes',
			]
		);
        $this->add_control(
			'bwdpc_profile_show_button',
			[
				'label' => esc_html__( 'Show Button', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => esc_html__( 'Show', 'bwdpc-profile-card' ),
				'label_off' => esc_html__( 'Hide', 'bwdpc-profile-card' ),
				'return_value' => 'yes',
				'default' => 'yes',
			]
		);
        $this->add_control(
			'bwdpc_profile_show_social',
			[
				'label' => esc_html__( 'Show Social', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => esc_html__( 'Show', 'bwdpc-profile-card' ),
				'label_off' => esc_html__( 'Hide', 'bwdpc-profile-card' ),
				'return_value' => 'yes',
				'default' => 'yes',
			]
		);
        $this->end_controls_section();

        $this->start_controls_section(
			'bwdpc_profile-card_content_style',
		    [
		        'label' => esc_html__('Content','bwdpc-profile-card'),
				'tab'   => \Elementor\Controls_Manager::TAB_CONTENT,
		   
		    ]
		);
        $repeater = new \Elementor\Repeater();

        // Content
        $repeater->add_control(
			'bwdpc_profile_card_image',
			[
				'label' => esc_html__( 'Image', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::MEDIA,
				'default' => [
					'url' => plugin_dir_url(__DIR__) .'assets/public/img/profile-img-1.jpg',
				],
			]
		);
        $repeater->add_control(
			'bwdpc_profile_card_title', [
				'label' => esc_html__( 'Name', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'default' => esc_html__( 'John Doe' , 'bwdpc-profile-card' ),
				'label_block' => true,
                'dynamic' => [
					'active' => true,
				],
			]
		);
        $repeater->add_control(
			'bwdpc_profile_card_username', [
				'label' => esc_html__( 'Username', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
				'dynamic' => [
					'active' => true,
				],
				'default' => esc_html__( '@JohnDoe', 'bwdpc-profile-card' ),
			]
		);
        $repeater->add_control(
			'bwdpc_profile_location_icon',
			[
				'label' => esc_html__( 'Icon', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::ICONS,
				'default' => [
					'value' => 'fas fa-map-marker-alt',
					'library' => 'fa-solid',
				],
			]
		);
        $repeater->add_control(
			'bwdpc_profile_location_title', [
				'label' => esc_html__( 'Location Name', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA,
				'label_block' => true,
				'dynamic' => [
					'active' => true,
				],
				'default' => esc_html__( '6845 Fieldcrest Road Riverhead, NY 37906', 'bwdpc-profile-card' ),
			]
		);
        $repeater->add_control(
			'bwdpc_profile_stat_one_number', [
				'label' => esc_html__( 'Status One Number', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
				'dynamic' => [
					'active' => true,
				],
				'default' => esc_html__( '235', 'bwdpc-profile-card' ),
			]
		);
        $repeater->add_control(
			'bwdpc_profile_stat_one_name', [
				'label' => esc_html__( 'Status One Name', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
				'dynamic' => [
					'active' => true,
				],
				'default' => esc_html__( 'Posts', 'bwdpc-profile-card' ),
			]
		);
        $repeater->add_control(
			'bwdpc_profile_stat_two_number', [
				'label' => esc_html__( 'Status Two Number', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
				'dynamic' => [
					'active' => true,
				],
				'default' => esc_html__( '452', 'bwdpc-profile-card' ),
			]
		);
        $repeater->add_control(
			'bwdpc_profile_stat_two_name', [
				'label' => esc_html__( 'Status Two Name', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
				'dynamic' => [
					'active' => true,
				],
				'default' => esc_html__( 'Followers', 'bwdpc-profile-card' ),
			]
		);
        $repeater->add_control(
			'bwdpc_profile_stat_three_number', [
				'label' => esc_html__( 'Status Three Number', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
				'dynamic' => [
					'active' => true,
				],
				'default' => esc_html__( '798', 'bwdpc-profile-card' ),
			]
		);
        $repeater->add_control(
			'bwdpc_profile_stat_three_name', [
				'label' => esc_html__( 'Status Three Name', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
				'dynamic' => [
					'active' => true,
				],
				'default' => esc_html__( 'Following', 'bwdpc-profile-card' ),
			]
		);
        $repeater->add_control(
			'bwdpc_profile_stat_four_number', [
				'label' => esc_html__( 'Status Four Number', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
				'dynamic' => [
					'active' => true,
				],
				'default' => esc_html__( '85', 'bwdpc-profile-card' ),
			]
		);
        $repeater->add_control(
			'bwdpc_profile_stat_four_name', [
				'label' => esc_html__( 'Status 4 Name', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
				'dynamic' => [
					'active' => true,
				],
				'default' => esc_html__( 'Works', 'bwdpc-profile-card' ),
			]
		);
        $repeater->add_control(
			'bwdpc_profile_btn_text',
			[
				'label' => esc_html__( 'Button Text', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
				'default' => esc_html__( 'Follow', 'bwdpc-profile-card' ),
				'placeholder' => esc_html__( 'Type button text here', 'bwdpc-profile-card' ),
				'dynamic' => [
					'active' => true,
				],
			]
		);
		$repeater->add_control(
			'bwdpc_profile_btn_link',
			[
				'label' => esc_html__( 'Btn Link', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::URL,
				'placeholder' => esc_html__( 'https://your-link.com', 'bwdpc-profile-card' ),
				'label_block' => true,
                'default' => [
					'url' => '#',
				],
				'dynamic' => [
					'active' => true,
				],
			]
		);
        $repeater->add_control(
			'bwdpc_social_one_switcher',
			[
				'label' => esc_html__( 'Social Icon One', 'bwdpc-profile-card' ),
				'type' => Controls_Manager::SWITCHER,
				'label_on' => esc_html__( 'Show', 'bwdpc-profile-card' ),
				'label_off' => esc_html__( 'Hide', 'bwdpc-profile-card' ),
				'return_value' => 'yes',
				'default' => 'yes',
			]
		);
        $repeater->start_controls_tabs(
            'bwdpc_social_one_style_tabs',
            [
                'condition' => [
                       'bwdpc_social_one_switcher' => 'yes',
                   ],
            ]
        );
        $repeater->start_controls_tab(
            'bwdpc_social_one_style_normal_tab',
            [
                'label' => esc_html__( 'Normal', 'bwdpc-profile-card' ),
                'condition' => [
					'bwdpc_social_one_switcher' => 'yes',
				],
            ]
        );
		$repeater->add_control(
			'bwdpc_social_one',
			[
				'type' => Controls_Manager::ICONS,
				'skin' => 'inline',
				'default' => [
					'value' => 'fab fa-facebook-f',
					'library' => 'solid',
				],
				'condition' => [
					'bwdpc_social_one_switcher' => 'yes',
				],
			]
		);
		$repeater->add_control(
			'bwdpc_social_one_link',
			[
				'label' => esc_html__( 'Link', 'bwdpc-profile-card' ),
				'type' => Controls_Manager::URL,
				'placeholder' => esc_html__( 'your-link.com', 'bwdpc-profile-card' ),
				'condition' => [
					'bwdpc_social_one_switcher' => 'yes',
				],
				'default' => [
					'url' => '#',
					'is_external' => true,
					'nofollow' => true,
					'custom_attributes' => '',
				],
			]
		);
        $repeater->end_controls_tab();
        $repeater->start_controls_tab(
            'bwdpc_social_one_style_tab',
            [
                'label' => esc_html__( 'Style', 'bwdpc-profile-card' ),
                'condition' => [
					'bwdpc_social_one_switcher' => 'yes',
				],
            ]
        );
        $repeater->add_control(
			'bwdpc_profile_social_icon_color',
			[
				'label' => esc_html__( 'Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-one i' => 'color: {{VALUE}}',
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-one svg' => 'fill: {{VALUE}}',
				],
			]
		);
        $repeater->add_control(
			'bwdpc_profile_social_icon_one_bg_color',
			[
				'label' => esc_html__( 'Background Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-bg-color-one, {{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-bg-color-oneb::before' => 'background-color: {{VALUE}}',
				],
			]
		);
        $repeater->add_responsive_control(
			'bwdpc_profile_social_icon_size',
			[
				'label' => esc_html__( 'Icon Size', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 100,
					],
				],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-one i' => 'font-size: {{SIZE}}{{UNIT}};',
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-one svg' => 'width: {{SIZE}}{{UNIT}};',
				],
			]
		);
		$repeater->add_control(
			'bwdpc_profile_social_icon-round_size',
			[
				'label' => esc_html__( 'Icon Round Size', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 1000,
					],
				],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-one' => 'height: {{SIZE}}{{UNIT}}; width: {{SIZE}}{{UNIT}};',
				],
			]
		);
        $repeater->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			[
				'name' => 'bwdpc-profile-social-icon-border',
				'label' => esc_html__( 'Border', 'bwdpc-profile-card' ),
				'selector' => '{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-one',
                'condition' => [
					'bwdpc_profile_card_style!' => ['style7','style9','style10','style12','style13','style14','style15','style16','style17','style18','style19','style21'],
				],
			]
		);
		$repeater->add_responsive_control(
			'bwdpc_profile_social_icon_border_radius',
			[
				'label' => esc_html__( 'Icon Border Radius', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => [ 'px', '%', 'em' ],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-one' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				],
			]
		);
        $repeater->end_controls_tab();
        $repeater->start_controls_tab(
            'bwdpc_social_one_hover_tab',
            [
                'label' => esc_html__( 'Hover', 'bwdpc-profile-card' ),
                'condition' => [
					'bwdpc_social_one_switcher' => 'yes',
				],
            ]
        );
         $repeater->add_control(
			'bwdpc_profile_social_hover_icon_color',
			[
				'label' => esc_html__( 'Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-one:hover i' => 'color: {{VALUE}}',
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-one:hover svg' => 'fill: {{VALUE}}',
				],
			]
		);
        $repeater->add_control(
			'bwdpc_profile_social_icon_one_hover_bg_color',
			[
				'label' => esc_html__( 'Background Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-bg-color-one:hover, {{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-bg-color-oneb:hover::before' => 'background-color: {{VALUE}}',
				],
			]
		);
        $repeater->add_responsive_control(
			'bwdpc_profile_social_hover_icon_size',
			[
				'label' => esc_html__( 'Icon Size', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 100,
					],
				],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-one:hover i' => 'font-size: {{SIZE}}{{UNIT}};',
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-one:hover svg' => 'width: {{SIZE}}{{UNIT}};',
				],
			]
		);
		$repeater->add_control(
			'bwdpc_profile_social_icon_hover_round_size',
			[
				'label' => esc_html__( 'Icon Round Size', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 1000,
					],
				],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-one:hover' => 'height: {{SIZE}}{{UNIT}}; width: {{SIZE}}{{UNIT}};',
				],
			]
		);
        $repeater->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			[
				'name' => 'bwdpc-profile-social-icon_hover-border',
				'label' => esc_html__( 'Border', 'bwdpc-profile-card' ),
				'selector' => '{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-one:hover',
                'condition' => [
					'bwdpc_profile_card_style!' => ['style7','style9','style10','style12','style13','style14','style15','style16','style17','style18','style19','style21'],
				],
			]
		);
		$repeater->add_responsive_control(
			'bwdpc_profile_social_icon_hover_border_radius',
			[
				'label' => esc_html__( 'Icon Border Radius', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => [ 'px', '%', 'em' ],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-one:hover' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				],
			]
		);
        $repeater->end_controls_tab();
        $repeater->end_controls_tabs();
		$repeater->add_control(
			'bwdpc_social_two_switcher',
			[
				'label' => esc_html__( 'Social Icon Two', 'bwdpc-profile-card' ),
				'type' => Controls_Manager::SWITCHER,
                'separator' => 'before',
				'label_on' => esc_html__( 'Show', 'bwdpc-profile-card' ),
				'label_off' => esc_html__( 'Hide', 'bwdpc-profile-card' ),
				'return_value' => 'yes',
				'default' => 'yes',
			]
		);
        $repeater->start_controls_tabs(
            'bwdpc_social_two_style_tabs',
            [
                'condition' => [
                       'bwdpc_social_two_switcher' => 'yes',
                   ],
            ]
        );
        $repeater->start_controls_tab(
            'bwdpc_social_two_content_tab',
            [
                'label' => esc_html__( 'Content', 'bwdpc-profile-card' ),
                'condition' => [
					'bwdpc_social_two_switcher' => 'yes',
				],
            ]
        );
		$repeater->add_control(
			'bwdpc_social_two',
			[
				'type' => Controls_Manager::ICONS,
				'skin' => 'inline',
				'default' => [
					'value' => 'fab fa-twitter',
					'library' => 'solid',
				],
				'condition' => [
					'bwdpc_social_two_switcher' => 'yes',
				],
			]
		);
		$repeater->add_control(
			'bwdpc_social_two_link',
			[
				'label' => esc_html__( 'Link', 'bwdpc-profile-card' ),
				'type' => Controls_Manager::URL,
				'placeholder' => esc_html__( 'your-link.com', 'bwdpc-profile-card' ),
				'condition' => [
					'bwdpc_social_two_switcher' => 'yes',
				],
				'default' => [
					'url' => '#',
					'is_external' => true,
					'nofollow' => true,
					'custom_attributes' => '',
				],
			]
		);
        $repeater->end_controls_tab();
        $repeater->start_controls_tab(
            'bwdpc_social_two_style_tab',
            [
                'label' => esc_html__( 'Style', 'bwdpc-profile-card' ),
                'condition' => [
					'bwdpc_social_two_switcher' => 'yes',
				],
            ]
        );
        $repeater->add_control(
			'bwdpc_profile_social_two_color',
			[
				'label' => esc_html__( 'Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-two i' => 'color: {{VALUE}}',
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-two svg' => 'fill: {{VALUE}}',
				],
			]
		);
        $repeater->add_control(
			'bwdpc_profile_social_icon_two_bg_color',
			[
				'label' => esc_html__( 'Background Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-bg-color-two, {{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-bg-color-twob::before' => 'background-color: {{VALUE}}',
				],
			]
		);
        $repeater->add_responsive_control(
			'bwdpc_profile_social_two_size',
			[
				'label' => esc_html__( 'Icon Size', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 100,
					],
				],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-two i' => 'font-size: {{SIZE}}{{UNIT}};',
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-two svg' => 'width: {{SIZE}}{{UNIT}};',
				],
			]
		);
		$repeater->add_control(
			'bwdpc_profile_social_two_round_size',
			[
				'label' => esc_html__( 'Icon Round Size', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 1000,
					],
				],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-two' => 'height: {{SIZE}}{{UNIT}}; width: {{SIZE}}{{UNIT}};',
				],
			]
		);
        $repeater->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			[
				'name' => 'bwdpc-profile-social-two-border',
				'label' => esc_html__( 'Border', 'bwdpc-profile-card' ),
				'selector' => '{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-two',
                'condition' => [
					'bwdpc_profile_card_style!' => ['style7','style9','style10','style12','style13','style14','style15','style16','style17','style18','style19','style21'],
				],
			]
		);
		$repeater->add_responsive_control(
			'bwdpc_profile_social_two_border_radius',
			[
				'label' => esc_html__( 'Icon Border Radius', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => [ 'px', '%', 'em' ],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-two' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				],
			]
		);
        $repeater->end_controls_tab();
        $repeater->start_controls_tab(
            'bwdpc_social_two_hover_tab',
            [
                'label' => esc_html__( 'Hover', 'bwdpc-profile-card' ),
                'condition' => [
					'bwdpc_social_two_switcher' => 'yes',
				],
            ]
        );
         $repeater->add_control(
			'bwdpc_profile_social_two_hover_color',
			[
				'label' => esc_html__( 'Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-two:hover i' => 'color: {{VALUE}}',
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-two:hover svg' => 'fill: {{VALUE}}',
				],
			]
		);
        $repeater->add_control(
			'bwdpc_profile_social_icon_two_hover_bg_color',
			[
				'label' => esc_html__( 'Background Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-bg-color-two:hover, {{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-bg-color-twob:hover::before' => 'background-color: {{VALUE}}',
				],
			]
		);
        $repeater->add_responsive_control(
			'bwdpc_profile_social_two_hover_size',
			[
				'label' => esc_html__( 'Icon Size', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 100,
					],
				],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-two:hover i' => 'font-size: {{SIZE}}{{UNIT}};',
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-two:hover svg' => 'width: {{SIZE}}{{UNIT}};',
				],
			]
		);
		$repeater->add_control(
			'bwdpc_profile_social_two_hover_round_size',
			[
				'label' => esc_html__( 'Icon Round Size', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 1000,
					],
				],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-two:hover' => 'height: {{SIZE}}{{UNIT}}; width: {{SIZE}}{{UNIT}};',
				],
			]
		);
        $repeater->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			[
				'name' => 'bwdpc_profile_social_two_hover-border',
				'label' => esc_html__( 'Border', 'bwdpc-profile-card' ),
				'selector' => '{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-two:hover',
                'condition' => [
					'bwdpc_profile_card_style!' => ['style7','style9','style10','style12','style13','style14','style15','style16','style17','style18','style19','style21'],
				],
			]
		);
		$repeater->add_responsive_control(
			'bwdpc_profile_social_two_hover_border_radius',
			[
				'label' => esc_html__( 'Icon Border Radius', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => [ 'px', '%', 'em' ],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-two:hover' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				],
			]
		);
        $repeater->end_controls_tab();
        $repeater->end_controls_tabs();
		$repeater->add_control(
			'bwdpc_social_three_switcher',
			[
				'label' => esc_html__( 'Social Icon Three', 'bwdpc-profile-card' ),
				'type' => Controls_Manager::SWITCHER,
                'separator' => 'before',
				'label_on' => esc_html__( 'Show', 'bwdpc-profile-card' ),
				'label_off' => esc_html__( 'Hide', 'bwdpc-profile-card' ),
				'return_value' => 'yes',
				'default' => 'yes',
			]
		);
        $repeater->start_controls_tabs(
            'bwdpc_social_three_style_tabs',
            [
                'condition' => [
                       'bwdpc_social_three_switcher' => 'yes',
                   ],
            ]
        );
        $repeater->start_controls_tab(
            'bwdpc_social_three_content_tab',
            [
                'label' => esc_html__( 'Content', 'bwdpc-profile-card' ),
                'condition' => [
					'bwdpc_social_three_switcher' => 'yes',
				],
            ]
        );
		$repeater->add_control(
			'bwdpc_social_three',
			[
				'type' => Controls_Manager::ICONS,
				'skin' => 'inline',
				'default' => [
					'value' => 'fab fa-linkedin-in',
					'library' => 'solid',
				],
				'condition' => [
					'bwdpc_social_three_switcher' => 'yes',
				],
			]
		);
		$repeater->add_control(
			'bwdpc_social_three_link',
			[
				'label' => esc_html__( 'Link', 'bwdpc-profile-card' ),
				'type' => Controls_Manager::URL,
				'placeholder' => esc_html__( 'your-link.com', 'bwdpc-profile-card' ),
				'condition' => [
					'bwdpc_social_three_switcher' => 'yes',
				],
				'default' => [
					'url' => '#',
					'is_external' => true,
					'nofollow' => true,
					'custom_attributes' => '',
				],
			]
		);
        $repeater->end_controls_tab();
        $repeater->start_controls_tab(
            'bwdpc_social_three_style_tab',
            [
                'label' => esc_html__( 'Style', 'bwdpc-profile-card' ),
                'condition' => [
					'bwdpc_social_three_switcher' => 'yes',
				],
            ]
        );
        $repeater->add_control(
			'bwdpc_profile_social_three_color',
			[
				'label' => esc_html__( 'Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-three i' => 'color: {{VALUE}}',
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-three svg' => 'fill: {{VALUE}}',
				],
			]
		);
        $repeater->add_control(
			'bwdpc_profile_social_icon_three_bg_color',
			[
				'label' => esc_html__( 'Background Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-bg-color-three, {{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-bg-color-threeb::before' => 'background-color: {{VALUE}}',
				],
			]
		);
        $repeater->add_responsive_control(
			'bwdpc_profile_social_three_size',
			[
				'label' => esc_html__( 'Icon Size', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 100,
					],
				],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-three i' => 'font-size: {{SIZE}}{{UNIT}};',
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-three svg' => 'width: {{SIZE}}{{UNIT}};',
				],
			]
		);
		$repeater->add_control(
			'bwdpc_profile_social_three_round_size',
			[
				'label' => esc_html__( 'Icon Round Size', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 1000,
					],
				],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-three' => 'height: {{SIZE}}{{UNIT}}; width: {{SIZE}}{{UNIT}};',
				],
			]
		);
        $repeater->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			[
				'name' => 'bwdpc_profile_social_three_border',
				'label' => esc_html__( 'Border', 'bwdpc-profile-card' ),
				'selector' => '{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-three',
                'condition' => [
					'bwdpc_profile_card_style!' => ['style7','style9','style10','style12','style13','style14','style15','style16','style17','style18','style19','style21'],
				],
			]
		);
		$repeater->add_responsive_control(
			'bwdpc_profile_social_three_border_radius',
			[
				'label' => esc_html__( 'Icon Border Radius', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => [ 'px', '%', 'em' ],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-three' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				],
			]
		);
        $repeater->end_controls_tab();
        $repeater->start_controls_tab(
            'bwdpc_social_three_hover_tab',
            [
                'label' => esc_html__( 'Hover', 'bwdpc-profile-card' ),
                'condition' => [
					'bwdpc_social_three_switcher' => 'yes',
				],
            ]
        );
         $repeater->add_control(
			'bwdpc_profile_social_three_hover_color',
			[
				'label' => esc_html__( 'Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-three:hover i' => 'color: {{VALUE}}',
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-three:hover svg' => 'fill: {{VALUE}}',
				],
			]
		);
        $repeater->add_control(
			'bwdpc_profile_social_icon_three_hover_bg_color',
			[
				'label' => esc_html__( 'Background Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-bg-color-three:hover, {{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-bg-color-threeb:hover::before' => 'background-color: {{VALUE}}',
				],
			]
		);
        $repeater->add_responsive_control(
			'bwdpc_profile_social_three_hover_size',
			[
				'label' => esc_html__( 'Icon Size', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 100,
					],
				],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-three:hover i' => 'font-size: {{SIZE}}{{UNIT}};',
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-three:hover svg' => 'width: {{SIZE}}{{UNIT}};',
				],
			]
		);
		$repeater->add_control(
			'bwdpc_profile_social_three_hover_round_size',
			[
				'label' => esc_html__( 'Icon Round Size', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 200,
					],
				],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-three:hover' => 'height: {{SIZE}}{{UNIT}}; width: {{SIZE}}{{UNIT}};',
				],
			]
		);
        $repeater->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			[
				'name' => 'bwdpc_profile_social_three_hover-border',
				'label' => esc_html__( 'Border', 'bwdpc-profile-card' ),
				'selector' => '{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-three:hover',
                'condition' => [
					'bwdpc_profile_card_style!' => ['style7','style9','style10','style12','style13','style14','style15','style16','style17','style18','style19','style21'],
				],
			]
		);
		$repeater->add_responsive_control(
			'bwdpc_profile_social_three_hover_border_radius',
			[
				'label' => esc_html__( 'Icon Border Radius', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => [ 'px', '%', 'em' ],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-three:hover' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				],
			]
		);
        $repeater->end_controls_tab();
        $repeater->end_controls_tabs();
		$repeater->add_control(
			'bwdpc_social_four_switcher',
			[
				'label' => esc_html__( 'Social Icon Four', 'bwdpc-profile-card' ),
				'type' => Controls_Manager::SWITCHER,
                'separator' => 'before',
				'label_on' => esc_html__( 'Show', 'bwdpc-profile-card' ),
				'label_off' => esc_html__( 'Hide', 'bwdpc-profile-card' ),
				'return_value' => 'yes',
				'default' => 'yes',
			]
		);
        $repeater->start_controls_tabs(
            'bwdpc_social_four_style_tabs',
            [
                'condition' => [
                       'bwdpc_social_four_switcher' => 'yes',
                   ],
            ]
        );
        $repeater->start_controls_tab(
            'bwdpc_social_four_content_tab',
            [
                'label' => esc_html__( 'Content', 'bwdpc-profile-card' ),
                'condition' => [
					'bwdpc_social_four_switcher' => 'yes',
				],
            ]
        );
		$repeater->add_control(
			'bwdpc_social_four',
			[
				'type' => Controls_Manager::ICONS,
				'skin' => 'inline',
				'default' => [
					'value' => 'fab fa-instagram',
					'library' => 'solid',
				],
				'condition' => [
					'bwdpc_social_four_switcher' => 'yes',
				],
			]
		);
		$repeater->add_control(
			'bwdpc_social_four_link',
			[
				'label' => esc_html__( 'Link', 'bwdpc-profile-card' ),
				'type' => Controls_Manager::URL,
				'placeholder' => esc_html__( 'your-link.com', 'bwdpc-profile-card' ),
				'condition' => [
					'bwdpc_social_four_switcher' => 'yes',
				],
				'default' => [
					'url' => '#',
					'is_external' => true,
					'nofollow' => true,
					'custom_attributes' => '',
				],
			]
		);
        $repeater->end_controls_tab();
        $repeater->start_controls_tab(
            'bwdpc_social_four_style_tab',
            [
                'label' => esc_html__( 'Style', 'bwdpc-profile-card' ),
                'condition' => [
					'bwdpc_social_four_switcher' => 'yes',
				],
            ]
        );
        $repeater->add_control(
			'bwdpc_profile_social_four_color',
			[
				'label' => esc_html__( 'Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-four i' => 'color: {{VALUE}}',
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-four svg' => 'fill: {{VALUE}}',
				],
			]
		);
        $repeater->add_control(
			'bwdpc_profile_social_icon_four_bg_color',
			[
				'label' => esc_html__( 'Background Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-bg-color-four, {{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-bg-color-fourb::before' => 'background-color: {{VALUE}}',
				],
			]
		);
        $repeater->add_responsive_control(
			'bwdpc_profile_social_four_size',
			[
				'label' => esc_html__( 'Icon Size', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 100,
					],
				],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-four i' => 'font-size: {{SIZE}}{{UNIT}};',
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-four svg' => 'width: {{SIZE}}{{UNIT}};',
				],
			]
		);
		$repeater->add_control(
			'bwdpc_profile_social_four_round_size',
			[
				'label' => esc_html__( 'Icon Round Size', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 1000,
					],
				],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-four' => 'height: {{SIZE}}{{UNIT}}; width: {{SIZE}}{{UNIT}};',
				],
			]
		);
        $repeater->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			[
				'name' => 'bwdpc_profile_social_four_border',
				'label' => esc_html__( 'Border', 'bwdpc-profile-card' ),
				'selector' => '{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-four',
                'condition' => [
					'bwdpc_profile_card_style!' => ['style7','style9','style10','style12','style13','style14','style15','style16','style17','style18','style19','style21'],
				],
			]
		);
		$repeater->add_responsive_control(
			'bwdpc_profile_social_four_border_radius',
			[
				'label' => esc_html__( 'Icon Border Radius', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => [ 'px', '%', 'em' ],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-four' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				],
			]
		);
        $repeater->end_controls_tab();
        $repeater->start_controls_tab(
            'bwdpc_social_four_hover_tab',
            [
                'label' => esc_html__( 'Hover', 'bwdpc-profile-card' ),
                'condition' => [
					'bwdpc_social_four_switcher' => 'yes',
				],
            ]
        );
         $repeater->add_control(
			'bwdpc_profile_social_four_hover_color',
			[
				'label' => esc_html__( 'Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-four:hover i' => 'color: {{VALUE}}',
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-four:hover svg' => 'fill: {{VALUE}}',
				],
			]
		);
        $repeater->add_control(
			'bwdpc_profile_social_icon_four_hover_bg_color',
			[
				'label' => esc_html__( 'Background Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-bg-color-four:hover, {{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-bg-color-fourb:hover::before' => 'background-color: {{VALUE}}',
				],
			]
		);
        $repeater->add_responsive_control(
			'bwdpc_profile_social_four_hover_size',
			[
				'label' => esc_html__( 'Icon Size', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 100,
					],
				],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-four:hover i' => 'font-size: {{SIZE}}{{UNIT}};',
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-four:hover svg' => 'width: {{SIZE}}{{UNIT}};',
				],
			]
		);
		$repeater->add_control(
			'bwdpc_profile_social_four_hover_round_size',
			[
				'label' => esc_html__( 'Icon Round Size', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 200,
					],
				],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-four:hover' => 'height: {{SIZE}}{{UNIT}}; width: {{SIZE}}{{UNIT}};',
				],
			]
		);
        $repeater->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			[
				'name' => 'bwdpc_profile_social_four_hover-border',
				'label' => esc_html__( 'Border', 'bwdpc-profile-card' ),
				'selector' => '{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-four:hover',
                'condition' => [
					'bwdpc_profile_card_style!' => ['style7','style9','style10','style12','style13','style14','style15','style16','style17','style18','style19','style21'],
				],
			]
		);
		$repeater->add_responsive_control(
			'bwdpc_profile_social_four_hover_border_radius',
			[
				'label' => esc_html__( 'Icon Border Radius', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => [ 'px', '%', 'em' ],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link .bwdpc-social-four:hover' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				],
			]
		);
        $repeater->end_controls_tab();
        $repeater->end_controls_tabs();
         $repeater->add_responsive_control(
			'bwdpc_profile_social_top_gap',
			[
				'label' => esc_html__( 'Icon Gap Form Top', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 300,
					],
				],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link' => 'margin-top: {{SIZE}}{{UNIT}};',
				],
			]
		);
        $repeater->add_responsive_control(
			'bwdpc_profile_social_item_gap',
			[
				'label' => esc_html__( 'Icon Spacing', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 300,
					],
				],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link' => 'gap: {{SIZE}}{{UNIT}};',
				],
			]
		);
        $repeater->add_responsive_control(
			'bwdpc_profile_icon_align',
			[
				'label' => esc_html__( 'Icon Alignment', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::CHOOSE,
				'options' => [
					'start' => [
						'title' => esc_html__( 'Left', 'bwdpc-profile-card' ),
						'icon' => 'eicon-text-align-left',
					],
					'center' => [
						'title' => esc_html__( 'Center', 'bwdpc-profile-card' ),
						'icon' => 'eicon-text-align-center',
					],
					'end' => [
						'title' => esc_html__( 'Right', 'bwdpc-profile-card' ),
						'icon' => 'eicon-text-align-right',
					],
				],
                'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-share-link' => 'justify-content: {{VALUE}}',
				],
				'toggle' => true,
			]
		);
        $this->add_control(
			'bwdpc_profile_card_repeater_list',
			[
				'label' => esc_html__( 'Content', 'bwdas_awesome_step' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					
					[
						'bwdpc_profile_card_title' => esc_html__( 'John Doe', 'bwdpc-profile-card' ),
					],
					[
						'bwdpc_profile_card_title' => esc_html__( 'John Doe', 'bwdpc-profile-card' ),
					],
                    [
						'bwdpc_profile_card_title' => esc_html__( 'John Doe', 'bwdpc-profile-card' ),
					],
				],
				'title_field' => '{{{ bwdpc_profile_card_title }}}',
			]
		);
        $this->end_controls_section();

        // Style tab

		$this->start_controls_section(
			'bwdpc_profile_img_style',
			[
				'label' => esc_html__( 'Image Style', 'bwdpc-profile-card' ),
				'tab' => \Elementor\Controls_Manager::TAB_STYLE,
			]
		);
        $this->add_control(
			'bwdpc_profile_img_bg_color',
			[
				'label' => esc_html__( 'Img Bg Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-item::before,
                    {{WRAPPER}} .bwdpc-profile-card-img::before' => 'background-color: {{VALUE}}',
				],
                'condition' => [
					'bwdpc_profile_card_style!' => ['style1','style2','style3','style4','style6','style7','style8','style9','style10','style11','style12','style13','style15','style16','style19','style20','style21'],
				],
			]
		);
        $this->add_group_control(
			\Elementor\Group_Control_Box_Shadow::get_type(),
			[
				'name' => 'bwdpc_profile_img_box_shadow',
				'label' => esc_html__( 'Img Shadow', 'bwdpc-profile-card' ),
				'selector' => '{{WRAPPER}} .bwdpc-profile-card-img',
                'condition' => [
					'bwdpc_profile_card_style!' => ['style3','style4','style5','style6','style7','style8','style9','style10','style11','style12','style13','style14','style15','style16','style17','style18','style20','style21',],
				],
			]
		);
        $this->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			[
				'name' => 'bwdpc_profile_img_border',
				'label' => esc_html__( 'Img Border', 'bwdpc-profile-card' ),
				'selector' => '{{WRAPPER}} .bwdpc-profile-card-img,
                {{WRAPPER}} .bwdpc-profile-wrapper-img',
                'condition' => [
					'bwdpc_profile_card_style!' => ['style1','style5','style6','style9','style11','style12','style14','style15','style17','style18','style19','style21',],
				],
			]
		);
        $this->add_responsive_control (
			'bwdpc_profile_img_width',
			[
				'label' => esc_html__( 'Image Size', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 1000,
					],
				],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-img,
                    {{WRAPPER}} .bwdpc-profile-wrapper-img' => 'width: {{SIZE}}{{UNIT}}; height: {{SIZE}}{{UNIT}};',
				],
			]
		);

        $this->end_controls_section();

        $this->start_controls_section(
			'bwdpc_profile_title_style',
			[
				'label' => esc_html__( 'Name Style', 'bwdpc-profile-card' ),
				'tab' => \Elementor\Controls_Manager::TAB_STYLE,
			]
		);
        $this->add_control(
			'bwdpc_profile_title_box_bg_color',
			[
				'label' => esc_html__( 'Title Box Bg Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-name-info,
                    {{WRAPPER}} .bwdpc-profile-card-name-info:before,
                    {{WRAPPER}} .bwdpc-profile-content-item,
                    {{WRAPPER}} .bwdpc-profile-status-area,
                    {{WRAPPER}} .bwdpc-profile-content-area' => 'background-color: {{VALUE}}',
				],
                'condition' => [
					'bwdpc_profile_card_style!' => ['style1','style2','style4','style5','style7','style8','style9','style10','style11','style12','style13','style14','style16','style17','style19','style20',],
				],
			]
		);
        $this->add_control(
			'bwdpc_profile_title_color',
			[
				'label' => esc_html__( 'Title Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-name' => 'Color: {{VALUE}}',
				],
			]
		);
        $this->add_group_control(
			\Elementor\Group_Control_Typography::get_type(),
			[
				'name' => 'bwdpc_profile_title_typography',
				'selector' => '{{WRAPPER}} .bwdpc-profile-card-name',
			]
		);
        $this->end_controls_section();

        $this->start_controls_section(
			'bwdpc_profile_username_style',
			[
				'label' => esc_html__( 'Username Style', 'bwdpc-profile-card' ),
				'tab' => \Elementor\Controls_Manager::TAB_STYLE,
			]
		);
        $this->add_control(
			'bwdpc_profile_username_color',
			[
				'label' => esc_html__( 'Username Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
                
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-username' => 'Color: {{VALUE}}',
				],
			]
		);
        $this->add_group_control(
			\Elementor\Group_Control_Typography::get_type(),
			[
				'name' => 'bwdpc_profile_username_typography',
				'selector' => '{{WRAPPER}} .bwdpc-profile-card-username',
			]
		);
        $this->end_controls_section();

        $this->start_controls_section(
			'bwdpc_profile_locatione_style',
			[
				'label' => esc_html__( 'Location Style', 'bwdpc-profile-card' ),
				'tab' => \Elementor\Controls_Manager::TAB_STYLE,
			]
		);
        $this->add_control(
			'bwdpc_profile_location_title_color',
			[
				'label' => esc_html__( 'Location Title Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
                
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-adress' => 'Color: {{VALUE}}',
				],
			]
		);
        $this->add_group_control(
			\Elementor\Group_Control_Typography::get_type(),
			[
				'name' => 'bwdpc_profile_location_title_typography',
				'selector' => '{{WRAPPER}} .bwdpc-profile-card-adress',
			]
		);
        $this->add_control(
			'bwdpc_profile_location_icon_color',
			[
				'label' => esc_html__( 'Location Icon Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-adress-title i' => 'color: {{VALUE}}',
					'{{WRAPPER}} .bwdpc-profile-adress-title svg' => 'fill: {{VALUE}}',
				],
			]
		);
        $this->add_responsive_control(
			'bwdpc_profile_location_icon_size',
			[
				'label' => esc_html__( 'Icon Size', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'devices' => [ 'desktop', 'tablet', 'mobile' ],
				'size_units' => [ 'px', '%' ],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 100,
					],
				],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-adress-title i' => 'font-size: {{SIZE}}{{UNIT}};',
					'{{WRAPPER}} .bwdpc-profile-adress-title svg' => 'width: {{SIZE}}{{UNIT}};',
				],
			]
		);
        $this->end_controls_section();

        $this->start_controls_section(
			'bwdpc_profile_status_style',
			[
				'label' => esc_html__( 'Status Style', 'bwdpc-profile-card' ),
				'tab' => \Elementor\Controls_Manager::TAB_STYLE,
			]
		);
        $this->add_control(
			'bwdpc_profile_status_bg_color',
			[
				'label' => esc_html__( 'Status Bg Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-state-area,
                    {{WRAPPER}} .bwdpc-profile-card-status' => 'background-color: {{VALUE}}',
				],
                'condition' => [
					'bwdpc_profile_card_style!' => ['style1','style2','style3','style4','style5','style6','style7','style8','style9','style10','style13','style14','style15','style16','style17','style18','style19','style20','style21',],
				],
			]
		);
        $this->add_control(
			'bwdpc_profile_status_color',
			[
				'label' => esc_html__( 'Status Number Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-stat' => 'Color: {{VALUE}}',
				],
			]
		);
        $this->add_group_control(
			\Elementor\Group_Control_Typography::get_type(),
			[
				'name' => 'bwdpc_profile_status_number_typography',
				'selector' => '{{WRAPPER}} .bwdpc-profile-stat',
			]
		);
        $this->add_control(
			'bwdpc_profile_status_name_color',
			[
				'label' => esc_html__( 'Status Name Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-label' => 'Color: {{VALUE}}',
				],
			]
		);
        $this->add_group_control(
			\Elementor\Group_Control_Typography::get_type(),
			[
				'name' => 'bwdpc_profile_status_name_typography',
				'selector' => '{{WRAPPER}} .bwdpc-profile-label',
			]
		);
        $this->end_controls_section();

        // button
        $this->start_controls_section(
			'bwdpc_profile_button_section',
			[
				'label' => esc_html__( 'Button Style', 'bwdpc-profile-card' ),
				'tab' => \Elementor\Controls_Manager::TAB_STYLE,
			]
		);
        $this->start_controls_tabs(
			'bwdpc_profile_button_style_tabs'
		);

		$this->start_controls_tab(
			'bwdpc_profile_button_style_normal_tab',
			[
				'label' => esc_html__( 'Normal', 'bwdpc-profile-card' ),
			]
		);
        $this->add_group_control(
			\Elementor\Group_Control_Typography::get_type(),
			[
				'name' => 'bwdpc_profile_card_button_typography',
				'selector' => '{{WRAPPER}} .bwdpc-profile-btn',
			]
		);

        $this->add_control(
			'bwdpc_profile_card_button_color',
			[
				'label' => esc_html__( 'Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-btn' => 'color: {{VALUE}}',
				],
			]
		);

        $this->add_control(
			'bwdpc_profile_card_button_bg_color',
			[
				'label' => esc_html__( 'Bg Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-btn' => 'background-color: {{VALUE}}',
				],
				
			]
		);

        $this->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			[
				'name' => 'bwdpc-profile-btn-border',
				'label' => esc_html__( 'Border', 'bwdpc-profile-card' ),
				'selector' => '{{WRAPPER}} .bwdpc-profile-btn',
                'condition' => [
					'bwdpc_profile_card_style!' => ['style1','style2','style3','style4','style6','style7','style8','style10','style11','style13','style14','style16','style17','style18','style19','style21'],
				],
			]
		);

        $this->add_responsive_control(
			'bwdpc_profile_card_button_border_radius',
			[
				'label' => esc_html__( 'Border Radius', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::DIMENSIONS,
				'devices' => [ 'desktop', 'tablet', 'mobile' ],
				'size_units' => [ 'px', '%', 'em' ],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-btn' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				],
			]
		);

        $this->add_responsive_control(
			'bwdpc_profile_card_button_padding',
			[
				'label' => esc_html__( 'Padding', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::DIMENSIONS,
				'devices' => [ 'desktop', 'tablet', 'mobile' ],
				'size_units' => [ 'px', '%', 'em' ],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-btn' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				],
			]
		);

		$this->end_controls_tab();

        $this->start_controls_tab(
			'bwdpc_profile_button_style_hover_tab',
			[
				'label' => esc_html__( 'Hover', 'bwdpc-profile-card' ),
			]
		);

        $this->add_control(
			'bwdpc_profile_button_hover_color',
			[
				'label' => esc_html__( 'Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-btn:hover' => 'color: {{VALUE}}',
				],
			]
		);

        $this->add_control(
			'bwdpc_profile_button_hover_bg_color',
			[
				'label' => esc_html__( 'Bg Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-btn:hover,
                    {{WRAPPER}} .bwdpc-profile-btn:hover:before,
                    {{WRAPPER}} .bwdpc-profile-btn:hover:after' => 'background-color: {{VALUE}}',
				],
				
			]
		);


		$this->end_controls_tab();
        
        $this->end_controls_section();

        $this->start_controls_section(
			'bwdpc_profile_box_section',
			[
				'label' => esc_html__( 'Profile Box Style', 'bwdpc-profile-card' ),
				'tab' => \Elementor\Controls_Manager::TAB_STYLE,
			]
		);
        $this->add_group_control(
			\Elementor\Group_Control_Box_Shadow::get_type(),
			[
				'name' => 'bwdpc_profile_box_shadow',
				'label' => esc_html__( 'Box Shadow', 'bwdpc-profile-card' ),
				'selector' => '{{WRAPPER}} .bwdpc-profile-card-item',
			]
		);
        $this->add_control(
			'bwdpc_profile_box_bg_color',
			[
				'label' => esc_html__( 'Box Bg Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-item,
                    {{WRAPPER}} .bwdpc-profile-card-10-area .bwdpc-profile-content-item,
                    {{WRAPPER}} .bwdpc-profile-card-14-area .bwdpc-profile-content-item,
                    {{WRAPPER}} .bwdpc-profile-card-20-area .bwdpc-profile-front-card .bwdpc-profile-content-area' => 'background-color: {{VALUE}}',
				],
			]
		);
        $this->add_control(
			'bwdpc_profile_box_top_bg_color',
			[
				'label' => esc_html__( 'Top Bg Color', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-item:before,
                    {{WRAPPER}} .bwdpc-profile-card-9-area .bwdpc-profile-card-top-content,
                    {{WRAPPER}} .bwdpc-profile-card-9-area .bwdpc-profile-card-name-info' => 'background-color: {{VALUE}}',
				],
                'condition' => [
					'bwdpc_profile_card_style!' => ['style1','style2','style3','style4','style5','style6','style8','style10','style11','style12','style14','style15','style16','style17','style18','style19','style20','style21'],
				],
			]
		);
        $this->add_group_control(
			\Elementor\Group_Control_Border::get_type(),
			[
				'name' => 'bwdpc_profile_box_border',
				'label' => esc_html__( 'Border', 'bwdpc-profile-card' ),
				'selector' => '{{WRAPPER}} .bwdpc-profile-card-item',
			]
		);
        $this->add_responsive_control(
			'bwdpc_profile_box_border_radius',
			[
				'label' => esc_html__( 'Border Radius', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::DIMENSIONS,
				'devices' => [ 'desktop', 'tablet', 'mobile' ],
				'size_units' => [ 'px', '%', 'em' ],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-item' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				],
			]
		);

        $this->add_responsive_control(
			'bwdpc_profile_box_padding',
			[
				'label' => esc_html__( 'Padding', 'bwdpc-profile-card' ),
				'type' => \Elementor\Controls_Manager::DIMENSIONS,
				'devices' => [ 'desktop', 'tablet', 'mobile' ],
				'size_units' => [ 'px', '%', 'em' ],
				'selectors' => [
					'{{WRAPPER}} .bwdpc-profile-card-item' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				],
			]
		);
        $this->end_controls_section();
        

        
    }

    protected function render() {

        $settings = $this->get_settings_for_display();

        $bwdpc_title_show = $settings['bwdpc_profile_show_title'];
        $bwdpc_username_show = $settings['bwdpc_profile_show_username'];
        $bwdpc_location_show = $settings['bwdpc_profile_show_location'];
        $bwdpc_status_show = $settings['bwdpc_profile_show_status'];
        $bwdpc_button_show = $settings['bwdpc_profile_show_button'];
        $bwdpc_social_show = $settings['bwdpc_profile_show_social'];
        $bwdpc_column_gap = $settings['bwdpc_profile_card_column_gap'];

        

        if ('style1' === $settings['bwdpc_profile_card_style']) { 
            ?>
                <div class="bwdpc-profile-card-1-area ">
                    <div class="container-fluid">
                        <div class="row bwdpc_gapr">
                            <?php   
                                if( $settings['bwdpc_profile_card_repeater_list'] ) {
                                    foreach( $settings['bwdpc_profile_card_repeater_list'] as $item ) { ?>
                                <div class="column_number col-lg-4 col-md-6 col-sm-12 bwdpc_gapc">
                                    <div class="bwdpc-profile-card-item">
                                        <div class="bwdpc-profile-card-img">
                                            <img src="<?php echo esc_url($item['bwdpc_profile_card_image']['url']); ?>" alt="">
                                        </div>
                                        <div class="bwdpc-profile-card-name-info">
                                            <?php if( $bwdpc_title_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-name">
                                                <?php echo esc_html($item['bwdpc_profile_card_title']); ?>
                                            </div><?php } ?>
                                            <?php if( $bwdpc_username_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-username">
                                                <?php echo esc_html($item['bwdpc_profile_card_username']); ?>
                                            </div><?php } ?>
                                        </div>
                                        <div class="bwdpc-profile-card-bio">
                                            <?php if( $bwdpc_location_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-adress">
                                                <div class="bwdpc-profile-adress-title">
                                                    <?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_profile_location_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                                </div>
                                                <?php echo esc_html($item['bwdpc_profile_location_title']); ?> 
                                            </div><?php } ?>
                                        </div>
                                        <?php if( $bwdpc_status_show === 'yes' ) {?>
                                        <div class="bwdpc-profile-card-status">
                                            <div class="bwdpc-profile-state-area">
                                                <div class="bwdpc-profile-stat">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_one_number']); ?>
                                                    </div>
                                                <div class="bwdpc-profile-label">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_one_name']); ?>
                                                </div>
                                            </div>
                                            <div class="bwdpc-profile-state-area">
                                                <div class="bwdpc-profile-stat">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_two_number']); ?>
                                                </div>
                                                <div class="bwdpc-profile-label">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_two_name']); ?>
                                                </div>
                                            </div>
                                            <div class="bwdpc-profile-state-area">
                                                <div class="bwdpc-profile-stat">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_three_number']); ?>
                                                </div>
                                                <div class="bwdpc-profile-label">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_three_name']); ?>
                                                </div>
                                            </div>
                                            <div class="bwdpc-profile-state-area">
                                                <div class="bwdpc-profile-stat">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_four_number']); ?>
                                                </div>
                                                <div class="bwdpc-profile-label">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_four_name']); ?>
                                                </div>
                                            </div>
                                        </div><?php } ?>
                                        <?php if( $bwdpc_button_show === 'yes' ) {?>
                                        <div class="bwdpc-profile-card-btn">
                                            <a href="<?php echo esc_url($item['bwdpc_profile_btn_link']['url']); ?>" class="bwdpc-profile-btn"><?php echo esc_html($item['bwdpc_profile_btn_text']); ?></a>
                                        </div><?php } ?>
                                        <div class="bwdpc-profile-card-share-link">
                                            <?php if('yes' === $item['bwdpc_social_one_switcher']){ ?><a class="bwdpc-social-one bwdpc-social-bg-color-one" href="<?php echo esc_url($item['bwdpc_social_one_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_one'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            <?php if('yes' === $item['bwdpc_social_two_switcher']){ ?><a class="bwdpc-social-two" href="<?php echo esc_url($item['bwdpc_social_two_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_two'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            <?php if('yes' === $item['bwdpc_social_three_switcher']){ ?><a class="bwdpc-social-three bwdpc-social-bg-color-three" href="<?php echo esc_url($item['bwdpc_social_three_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_three'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            <?php if('yes' === $item['bwdpc_social_four_switcher']){ ?><a class="bwdpc-social-four bwdpc-social-bg-color-four" href="<?php echo esc_url($item['bwdpc_social_four_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_four'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                        </div>
                                    </div>
                                </div>
                                <?php
                                }
                                }
                            ?>
                        </div>
                    </div>
                </div>
            <?php
        }elseif ('style2' === $settings['bwdpc_profile_card_style']) { 
            ?>
                <div class="bwdpc-profile-card-2-area ">
                    <div class="container-fluid">
                        <div class="row bwdpc_gapr">
                            <?php   
                                if( $settings['bwdpc_profile_card_repeater_list'] ) {
                                    foreach( $settings['bwdpc_profile_card_repeater_list'] as $item ) { ?>
                                <div class="column_number col-lg-4 col-md-6 col-sm-12 bwdpc_gapc">
                                    <div class="bwdpc-profile-card-item">
                                        <div class="bwdpc-profile-card-img">
                                            <img src="<?php echo esc_url($item['bwdpc_profile_card_image']['url']); ?>" alt="">
                                        </div>
                                        <div class="bwdpc-profile-card-name-info">
                                            <?php if( $bwdpc_title_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-name">
                                                <?php echo esc_html($item['bwdpc_profile_card_title']); ?>
                                            </div><?php } ?>
                                            <?php if( $bwdpc_username_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-username">
                                                <?php echo esc_html($item['bwdpc_profile_card_username']); ?>
                                            </div><?php } ?>
                                        </div>
                                        <div class="bwdpc-profile-card-bio">
                                            <?php if( $bwdpc_location_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-adress">
                                                <div class="bwdpc-profile-adress-title">
                                                    <?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_profile_location_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                                </div>
                                                <?php echo esc_html($item['bwdpc_profile_location_title']); ?> 
                                            </div><?php } ?>
                                        </div>
                                        <?php if( $bwdpc_status_show === 'yes' ) {?>
                                        <div class="bwdpc-profile-card-status">
                                            <div class="bwdpc-profile-state-area">
                                                <div class="bwdpc-profile-stat">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_one_number']); ?>
                                                    </div>
                                                <div class="bwdpc-profile-label">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_one_name']); ?>
                                                </div>
                                            </div>
                                            <div class="bwdpc-profile-state-area">
                                                <div class="bwdpc-profile-stat">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_two_number']); ?>
                                                </div>
                                                <div class="bwdpc-profile-label">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_two_name']); ?>
                                                </div>
                                            </div>
                                            <div class="bwdpc-profile-state-area">
                                                <div class="bwdpc-profile-stat">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_three_number']); ?>
                                                </div>
                                                <div class="bwdpc-profile-label">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_three_name']); ?>
                                                </div>
                                            </div>
                                            <div class="bwdpc-profile-state-area">
                                                <div class="bwdpc-profile-stat">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_four_number']); ?>
                                                </div>
                                                <div class="bwdpc-profile-label">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_four_name']); ?>
                                                </div>
                                            </div>
                                        </div><?php } ?>
                                        <?php if( $bwdpc_button_show === 'yes' ) {?>
                                        <div class="bwdpc-profile-card-btn">
                                            <a href="<?php echo esc_url($item['bwdpc_profile_btn_link']['url']); ?>" class="bwdpc-profile-btn"><?php echo esc_html($item['bwdpc_profile_btn_text']); ?></a>
                                        </div><?php } ?>
                                        <div class="bwdpc-profile-card-share-link">
                                            <?php if('yes' === $item['bwdpc_social_one_switcher']){ ?><a class="bwdpc-social-one bwdpc-social-bg-color-one" href="<?php echo esc_url($item['bwdpc_social_one_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_one'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            <?php if('yes' === $item['bwdpc_social_two_switcher']){ ?><a class="bwdpc-social-two bwdpc-social-bg-color-two" href="<?php echo esc_url($item['bwdpc_social_two_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_two'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            <?php if('yes' === $item['bwdpc_social_three_switcher']){ ?><a class="bwdpc-social-three bwdpc-social-bg-color-three" href="<?php echo esc_url($item['bwdpc_social_three_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_three'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            <?php if('yes' === $item['bwdpc_social_four_switcher']){ ?><a class="bwdpc-social-four bwdpc-social-bg-color-four" href="<?php echo esc_url($item['bwdpc_social_four_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_four'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                        </div>
                                    </div>
                                </div>
                                <?php
                                }
                                }
                            ?>
                        </div>
                    </div>
                </div>
            <?php
        }elseif ('style3' === $settings['bwdpc_profile_card_style']) { 
            ?>
                <div class="bwdpc-profile-card-3-area ">
                    <div class="container-fluid">
                        <div class="row bwdpc_gapr">
                            <?php   
                                if( $settings['bwdpc_profile_card_repeater_list'] ) {
                                    foreach( $settings['bwdpc_profile_card_repeater_list'] as $item ) { ?>
                                <div class="column_number col-lg-4 col-md-6 col-sm-12 bwdpc_gapc">
                                    <div class="bwdpc-profile-card-item">
                                        <div class="bwdpc-profile-card-top-content">
                                            <div class="bwdpc-profile-card-img">
                                                <img src="<?php echo esc_url($item['bwdpc_profile_card_image']['url']); ?>" alt="">
                                            </div>
                                            <div class="bwdpc-profile-card-name-info">
                                                <?php if( $bwdpc_title_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-name">
                                                    <?php echo esc_html($item['bwdpc_profile_card_title']); ?>
                                                </div><?php } ?>
                                                <?php if( $bwdpc_username_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-username">
                                                    <?php echo esc_html($item['bwdpc_profile_card_username']); ?>
                                                </div><?php } ?>
                                            </div>
                                            <div class="bwdpc-profile-wrapper-img">
                                                <img src="<?php echo esc_url($item['bwdpc_profile_card_image']['url']); ?>" alt="">
                                            </div>
                                        </div>
                                        <div class="bwdpc-profile-card-content-area">
                                            <div class="bwdpc-profile-card-bio">
                                                <?php if( $bwdpc_location_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-adress">
                                                    <div class="bwdpc-profile-adress-title">
                                                        <?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_profile_location_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                                    </div>
                                                    <?php echo esc_html($item['bwdpc_profile_location_title']); ?> 
                                                </div><?php } ?>
                                            </div>
                                            <?php if( $bwdpc_status_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-status">
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_one_number']); ?>
                                                        </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_one_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_two_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_two_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_three_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_three_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_four_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_four_name']); ?>
                                                    </div>
                                                </div>
                                            </div><?php } ?>
                                            <div class="bwdpc-profile-card-share-link">
                                                <?php if('yes' === $item['bwdpc_social_one_switcher']){ ?><a class="bwdpc-social-one bwdpc-social-bg-color-one" href="<?php echo esc_url($item['bwdpc_social_one_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_one'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_two_switcher']){ ?><a class="bwdpc-social-two bwdpc-social-bg-color-two" href="<?php echo esc_url($item['bwdpc_social_two_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_two'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_three_switcher']){ ?><a class="bwdpc-social-three bwdpc-social-bg-color-three" href="<?php echo esc_url($item['bwdpc_social_three_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_three'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_four_switcher']){ ?><a class="bwdpc-social-four bwdpc-social-bg-color-four" href="<?php echo esc_url($item['bwdpc_social_four_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_four'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            </div>
                                            <?php if( $bwdpc_button_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-btn">
                                                <a href="<?php echo esc_url($item['bwdpc_profile_btn_link']['url']); ?>" class="bwdpc-profile-btn"><?php echo esc_html($item['bwdpc_profile_btn_text']); ?></a>
                                            </div><?php } ?>
                                        </div>
                                    </div>
                                </div>
                                <?php
                                }
                                }
                            ?>
                        </div>
                    </div>
                </div>
            <?php
        }elseif ('style4' === $settings['bwdpc_profile_card_style']) { 
            ?>
                <div class="bwdpc-profile-card-4-area ">
                    <div class="container-fluid">
                        <div class="row bwdpc_gapr">
                            <?php   
                                if( $settings['bwdpc_profile_card_repeater_list'] ) {
                                    foreach( $settings['bwdpc_profile_card_repeater_list'] as $item ) { ?>
                                <div class="column_number col-lg-4 col-md-6 col-sm-12 bwdpc_gapc">
                                    <div class="bwdpc-profile-card-item">
                                        <div class="bwdpc-profile-card-img">
                                            <img src="<?php echo esc_url($item['bwdpc_profile_card_image']['url']); ?>" alt="">
                                        </div>
                                        <div class="bwdpc-profile-card-top-content">
                                            <div class="bwdpc-profile-card-name-info">
                                                <?php if( $bwdpc_title_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-name">
                                                    <?php echo esc_html($item['bwdpc_profile_card_title']); ?>
                                                </div><?php } ?>
                                                <?php if( $bwdpc_username_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-username">
                                                    <?php echo esc_html($item['bwdpc_profile_card_username']); ?>
                                                </div><?php } ?>
                                            </div>
                                        </div>
                                        <div class="bwdpc-profile-card-content-area">
                                            <div class="bwdpc-profile-card-bio">
                                                <?php if( $bwdpc_location_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-adress">
                                                    <div class="bwdpc-profile-adress-title">
                                                        <?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_profile_location_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                                    </div>
                                                    <?php echo esc_html($item['bwdpc_profile_location_title']); ?> 
                                                </div><?php } ?>
                                            </div>
                                            <?php if( $bwdpc_button_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-btn">
                                                <a href="<?php echo esc_url($item['bwdpc_profile_btn_link']['url']); ?>" class="bwdpc-profile-btn"><?php echo esc_html($item['bwdpc_profile_btn_text']); ?></a>
                                            </div><?php } ?>
                                            <?php if( $bwdpc_status_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-status">
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_one_number']); ?>
                                                        </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_one_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_two_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_two_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_three_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_three_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_four_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_four_name']); ?>
                                                    </div>
                                                </div>
                                            </div><?php } ?>
                                            <div class="bwdpc-profile-card-share-link">
                                                <?php if('yes' === $item['bwdpc_social_one_switcher']){ ?><a class="bwdpc-social-one bwdpc-social-bg-color-one" href="<?php echo esc_url($item['bwdpc_social_one_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_one'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_two_switcher']){ ?><a class="bwdpc-social-two bwdpc-social-bg-color-two" href="<?php echo esc_url($item['bwdpc_social_two_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_two'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_three_switcher']){ ?><a class="bwdpc-social-three bwdpc-social-bg-color-three" href="<?php echo esc_url($item['bwdpc_social_three_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_three'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_four_switcher']){ ?><a class="bwdpc-social-four bwdpc-social-bg-color-four" href="<?php echo esc_url($item['bwdpc_social_four_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_four'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <?php
                                }
                                }
                            ?>
                        </div>
                    </div>
                </div>
            <?php
        }elseif ('style5' === $settings['bwdpc_profile_card_style']) { 
            ?>
                <div class="bwdpc-profile-card-5-area ">
                    <div class="container-fluid">
                        <div class="row bwdpc_gapr">
                            <?php   
                                if( $settings['bwdpc_profile_card_repeater_list'] ) {
                                    foreach( $settings['bwdpc_profile_card_repeater_list'] as $item ) { ?>
                                <div class="column_number col-lg-4 col-md-6 col-sm-12 bwdpc_gapc">
                                    <div class="bwdpc-profile-card-item">
                                        <div class="bwdpc-profile-card-img">
                                            <img src="<?php echo esc_url($item['bwdpc_profile_card_image']['url']); ?>" alt="">
                                        </div>
                                        <div class="bwdpc-profile-card-content-area">
                                            <div class="bwdpc-profile-content-item">
                                                <div class="bwdpc-profile-card-name-info">
                                                    <?php if( $bwdpc_title_show === 'yes' ) {?>
                                                    <div class="bwdpc-profile-card-name">
                                                        <?php echo esc_html($item['bwdpc_profile_card_title']); ?>
                                                    </div><?php } ?>
                                                    <?php if( $bwdpc_username_show === 'yes' ) {?>
                                                    <div class="bwdpc-profile-card-username">
                                                        <?php echo esc_html($item['bwdpc_profile_card_username']); ?>
                                                    </div><?php } ?>
                                                </div>
                                                <div class="bwdpc-profile-card-bio">
                                                    <?php if( $bwdpc_location_show === 'yes' ) {?>
                                                    <div class="bwdpc-profile-card-adress">
                                                        <div class="bwdpc-profile-adress-title">
                                                            <?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_profile_location_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                                        </div>
                                                        <?php echo esc_html($item['bwdpc_profile_location_title']); ?> 
                                                    </div><?php } ?>
                                                </div>
                                                <?php if( $bwdpc_status_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-status">
                                                    <div class="bwdpc-profile-state-area">
                                                        <div class="bwdpc-profile-stat">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_one_number']); ?>
                                                            </div>
                                                        <div class="bwdpc-profile-label">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_one_name']); ?>
                                                        </div>
                                                    </div>
                                                    <div class="bwdpc-profile-state-area">
                                                        <div class="bwdpc-profile-stat">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_two_number']); ?>
                                                        </div>
                                                        <div class="bwdpc-profile-label">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_two_name']); ?>
                                                        </div>
                                                    </div>
                                                    <div class="bwdpc-profile-state-area">
                                                        <div class="bwdpc-profile-stat">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_three_number']); ?>
                                                        </div>
                                                        <div class="bwdpc-profile-label">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_three_name']); ?>
                                                        </div>
                                                    </div>
                                                    <div class="bwdpc-profile-state-area">
                                                        <div class="bwdpc-profile-stat">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_four_number']); ?>
                                                        </div>
                                                        <div class="bwdpc-profile-label">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_four_name']); ?>
                                                        </div>
                                                    </div>
                                                </div><?php } ?>
                                                <div class="bwdpc-profile-card-share-link">
                                                    <?php if('yes' === $item['bwdpc_social_one_switcher']){ ?><a class="bwdpc-social-one bwdpc-social-bg-color-one" href="<?php echo esc_url($item['bwdpc_social_one_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_one'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                    <?php if('yes' === $item['bwdpc_social_two_switcher']){ ?><a class="bwdpc-social-two bwdpc-social-bg-color-two" href="<?php echo esc_url($item['bwdpc_social_two_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_two'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                    <?php if('yes' === $item['bwdpc_social_three_switcher']){ ?><a class="bwdpc-social-three bwdpc-social-bg-color-three" href="<?php echo esc_url($item['bwdpc_social_three_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_three'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                    <?php if('yes' === $item['bwdpc_social_four_switcher']){ ?><a class="bwdpc-social-four bwdpc-social-bg-color-four" href="<?php echo esc_url($item['bwdpc_social_four_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_four'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                </div>
                                                <?php if( $bwdpc_button_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-btn">
                                                    <a href="<?php echo esc_url($item['bwdpc_profile_btn_link']['url']); ?>" class="bwdpc-profile-btn"><?php echo esc_html($item['bwdpc_profile_btn_text']); ?></a>
                                                </div><?php } ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <?php
                                }
                                }
                            ?>
                        </div>
                    </div>
                </div>
            <?php
        }elseif ('style6' === $settings['bwdpc_profile_card_style']) { 
            ?>
                <div class="bwdpc-profile-card-6-area ">
                    <div class="container-fluid">
                        <div class="row bwdpc_gapr">
                            <?php   
                                if( $settings['bwdpc_profile_card_repeater_list'] ) {
                                    foreach( $settings['bwdpc_profile_card_repeater_list'] as $item ) { ?>
                                <div class="column_number col-lg-4 col-md-6 col-sm-12 bwdpc_gapc">
                                    <div class="bwdpc-profile-card-item">
                                        <div class="bwdpc-profile-card-top-content">
                                            <div class="bwdpc-profile-card-img">
                                                <img src="<?php echo esc_url($item['bwdpc_profile_card_image']['url']); ?>" alt="">
                                            </div>
                                            <div class="bwdpc-profile-content-item">
                                                <div class="bwdpc-profile-card-bio">
                                                    <?php if( $bwdpc_location_show === 'yes' ) {?>
                                                    <div class="bwdpc-profile-card-adress">
                                                        <div class="bwdpc-profile-adress-title">
                                                            <?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_profile_location_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                                        </div>
                                                        <?php echo esc_html($item['bwdpc_profile_location_title']); ?> 
                                                    </div><?php } ?>
                                                </div>
                                                <?php if( $bwdpc_status_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-status">
                                                    <div class="bwdpc-profile-state-area">
                                                        <div class="bwdpc-profile-stat">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_one_number']); ?>
                                                            </div>
                                                        <div class="bwdpc-profile-label">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_one_name']); ?>
                                                        </div>
                                                    </div>
                                                    <div class="bwdpc-profile-state-area">
                                                        <div class="bwdpc-profile-stat">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_two_number']); ?>
                                                        </div>
                                                        <div class="bwdpc-profile-label">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_two_name']); ?>
                                                        </div>
                                                    </div>
                                                    <div class="bwdpc-profile-state-area">
                                                        <div class="bwdpc-profile-stat">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_three_number']); ?>
                                                        </div>
                                                        <div class="bwdpc-profile-label">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_three_name']); ?>
                                                        </div>
                                                    </div>
                                                    <div class="bwdpc-profile-state-area">
                                                        <div class="bwdpc-profile-stat">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_four_number']); ?>
                                                        </div>
                                                        <div class="bwdpc-profile-label">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_four_name']); ?>
                                                        </div>
                                                    </div>
                                                </div><?php } ?>
                                                <?php if( $bwdpc_button_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-btn">
                                                    <a href="<?php echo esc_url($item['bwdpc_profile_btn_link']['url']); ?>" class="bwdpc-profile-btn"><?php echo esc_html($item['bwdpc_profile_btn_text']); ?></a>
                                                </div><?php } ?>
                                            </div>
                                        </div>
                                        <div class="bwdpc-profile-card-name-info">
                                            <?php if( $bwdpc_title_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-name">
                                                <?php echo esc_html($item['bwdpc_profile_card_title']); ?>
                                            </div><?php } ?>
                                            <?php if( $bwdpc_username_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-username">
                                                <?php echo esc_html($item['bwdpc_profile_card_username']); ?>
                                            </div><?php } ?>
                                            <div class="bwdpc-profile-card-share-link">
                                                <?php if('yes' === $item['bwdpc_social_one_switcher']){ ?><a class="bwdpc-social-one bwdpc-social-bg-color-oneb" href="<?php echo esc_url($item['bwdpc_social_one_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_one'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_two_switcher']){ ?><a class="bwdpc-social-two bwdpc-social-bg-color-twob" href="<?php echo esc_url($item['bwdpc_social_two_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_two'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_three_switcher']){ ?><a class="bwdpc-social-three bwdpc-social-bg-color-threeb" href="<?php echo esc_url($item['bwdpc_social_three_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_three'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_four_switcher']){ ?><a class="bwdpc-social-four bwdpc-social-bg-color-fourb" href="<?php echo esc_url($item['bwdpc_social_four_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_four'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <?php
                                }
                                }
                            ?>
                        </div>
                    </div>
                </div>
            <?php
        }elseif ('style7' === $settings['bwdpc_profile_card_style']) { 
            ?>
                <div class="bwdpc-profile-card-7-area ">
                    <div class="container-fluid">
                        <div class="row bwdpc_gapr">
                            <?php   
                                if( $settings['bwdpc_profile_card_repeater_list'] ) {
                                    foreach( $settings['bwdpc_profile_card_repeater_list'] as $item ) { ?>
                                <div class="column_number col-lg-4 col-md-6 col-sm-12 bwdpc_gapc">
                                    <div class="bwdpc-profile-card-item">
                                        <div class="bwdpc-profile-card-img">
                                            <img src="<?php echo esc_url($item['bwdpc_profile_card_image']['url']); ?>" alt="">
                                        </div>
                                        <div class="bwdpc-profile-content-item">
                                            <div class="bwdpc-profile-card-name-info">
                                                <?php if( $bwdpc_title_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-name">
                                                    <?php echo esc_html($item['bwdpc_profile_card_title']); ?>
                                                </div><?php } ?>
                                                <?php if( $bwdpc_username_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-username">
                                                    <?php echo esc_html($item['bwdpc_profile_card_username']); ?>
                                                </div><?php } ?>
                                            </div>
                                            <div class="bwdpc-profile-card-bio">
                                                <?php if( $bwdpc_location_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-adress">
                                                    <div class="bwdpc-profile-adress-title">
                                                        <?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_profile_location_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                                    </div>
                                                    <?php echo esc_html($item['bwdpc_profile_location_title']); ?> 
                                                </div><?php } ?>
                                            </div>
                                            <?php if( $bwdpc_status_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-status">
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_one_number']); ?>
                                                        </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_one_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_two_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_two_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_three_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_three_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_four_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_four_name']); ?>
                                                    </div>
                                                </div>
                                            </div><?php } ?>
                                            <div class="bwdpc-profile-card-share-link">
                                                <?php if('yes' === $item['bwdpc_social_one_switcher']){ ?><a class="bwdpc-social-one bwdpc-social-bg-color-one" href="<?php echo esc_url($item['bwdpc_social_one_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_one'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_two_switcher']){ ?><a class="bwdpc-social-two bwdpc-social-bg-color-two" href="<?php echo esc_url($item['bwdpc_social_two_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_two'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_three_switcher']){ ?><a class="bwdpc-social-three bwdpc-social-bg-color-three" href="<?php echo esc_url($item['bwdpc_social_three_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_three'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_four_switcher']){ ?><a class="bwdpc-social-four bwdpc-social-bg-color-four" href="<?php echo esc_url($item['bwdpc_social_four_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_four'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            </div>
                                            <?php if( $bwdpc_button_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-btn">
                                                <a href="<?php echo esc_url($item['bwdpc_profile_btn_link']['url']); ?>" class="bwdpc-profile-btn"><?php echo esc_html($item['bwdpc_profile_btn_text']); ?></a>
                                            </div><?php } ?>
                                        </div>
                                    </div>
                                </div>
                                <?php
                                }
                                }
                            ?>
                        </div>
                    </div>
                </div>
            <?php
        }elseif ('style8' === $settings['bwdpc_profile_card_style']) { 
            ?>
                <div class="bwdpc-profile-card-8-area ">
                    <div class="container-fluid">
                        <div class="row bwdpc_gapr">
                            <?php   
                                if( $settings['bwdpc_profile_card_repeater_list'] ) {
                                    foreach( $settings['bwdpc_profile_card_repeater_list'] as $item ) { ?>
                                <div class="column_number col-lg-4 col-md-6 col-sm-12 bwdpc_gapc">
                                    <div class="bwdpc-profile-card-item">
                                        <div class="bwdpc-profile-top-card"></div>
                                        <div class="bwdpc-profile-card-img">
                                            <img src="<?php echo esc_url($item['bwdpc_profile_card_image']['url']); ?>" alt="">
                                        </div>
                                        <div class="bwdpc-profile-content-item">
                                            <div class="bwdpc-profile-card-name-info">
                                                <?php if( $bwdpc_title_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-name">
                                                    <?php echo esc_html($item['bwdpc_profile_card_title']); ?>
                                                </div><?php } ?>
                                                <?php if( $bwdpc_username_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-username">
                                                    <?php echo esc_html($item['bwdpc_profile_card_username']); ?>
                                                </div><?php } ?>
                                            </div>
                                            <div class="bwdpc-profile-card-bio">
                                                <?php if( $bwdpc_location_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-adress">
                                                    <div class="bwdpc-profile-adress-title">
                                                        <?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_profile_location_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                                    </div>
                                                    <?php echo esc_html($item['bwdpc_profile_location_title']); ?> 
                                                </div><?php } ?>
                                            </div>
                                            <?php if( $bwdpc_status_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-status">
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_one_number']); ?>
                                                        </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_one_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_two_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_two_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_three_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_three_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_four_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_four_name']); ?>
                                                    </div>
                                                </div>
                                            </div><?php } ?>
                                            <?php if( $bwdpc_button_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-btn">
                                                <a href="<?php echo esc_url($item['bwdpc_profile_btn_link']['url']); ?>" class="bwdpc-profile-btn"><?php echo esc_html($item['bwdpc_profile_btn_text']); ?></a>
                                            </div><?php } ?>
                                            <div class="bwdpc-profile-card-share-link">
                                                <?php if('yes' === $item['bwdpc_social_one_switcher']){ ?><a class="bwdpc-social-one bwdpc-social-bg-color-one" href="<?php echo esc_url($item['bwdpc_social_one_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_one'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_two_switcher']){ ?><a class="bwdpc-social-two bwdpc-social-bg-color-two" href="<?php echo esc_url($item['bwdpc_social_two_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_two'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_three_switcher']){ ?><a class="bwdpc-social-three bwdpc-social-bg-color-three" href="<?php echo esc_url($item['bwdpc_social_three_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_three'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_four_switcher']){ ?><a class="bwdpc-social-four bwdpc-social-bg-color-four" href="<?php echo esc_url($item['bwdpc_social_four_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_four'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <?php
                                }
                                }
                            ?>
                        </div>
                    </div>
                </div>
            <?php
        }elseif ('style9' === $settings['bwdpc_profile_card_style']) { 
            ?>
                <div class="bwdpc-profile-card-9-area ">
                    <div class="container-fluid">
                        <div class="row bwdpc_gapr">
                            <?php   
                                if( $settings['bwdpc_profile_card_repeater_list'] ) {
                                    foreach( $settings['bwdpc_profile_card_repeater_list'] as $item ) { ?>
                                <div class="column_number col-lg-4 col-md-6 col-sm-12 bwdpc_gapc">
                                    <div class="bwdpc-profile-card-item">
                                        <div class="bwdpc-profile-card-top-content">
                                            <div class="bwdpc-profile-card-img">
                                                <img src="<?php echo esc_url($item['bwdpc_profile_card_image']['url']); ?>" alt="">
                                            </div>
                                            <div class="bwdpc-profile-card-name-info">
                                                <?php if( $bwdpc_title_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-name">
                                                    <?php echo esc_html($item['bwdpc_profile_card_title']); ?>
                                                </div><?php } ?>
                                                <?php if( $bwdpc_username_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-username">
                                                    <?php echo esc_html($item['bwdpc_profile_card_username']); ?>
                                                </div><?php } ?>
                                            </div>
                                        </div>
                                        <div class="bwdpc-profile-content-item">
                                            <div class="bwdpc-profile-card-bio">
                                                <?php if( $bwdpc_location_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-adress">
                                                    <div class="bwdpc-profile-adress-title">
                                                        <?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_profile_location_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                                    </div>
                                                    <?php echo esc_html($item['bwdpc_profile_location_title']); ?> 
                                                </div><?php } ?>
                                            </div>
                                            <?php if( $bwdpc_status_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-status">
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_one_number']); ?>
                                                        </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_one_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_two_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_two_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_three_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_three_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_four_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_four_name']); ?>
                                                    </div>
                                                </div>
                                            </div><?php } ?>
                                            <?php if( $bwdpc_button_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-btn">
                                                <a href="<?php echo esc_url($item['bwdpc_profile_btn_link']['url']); ?>" class="bwdpc-profile-btn"><?php echo esc_html($item['bwdpc_profile_btn_text']); ?></a>
                                            </div><?php } ?>
                                        </div>
                                        <div class="bwdpc-profile-card-share-link">
                                           <?php if('yes' === $item['bwdpc_social_one_switcher']){ ?><a class="bwdpc-social-one bwdpc-social-bg-color-one" href="<?php echo esc_url($item['bwdpc_social_one_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_one'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            <?php if('yes' === $item['bwdpc_social_two_switcher']){ ?><a class="bwdpc-social-two bwdpc-social-bg-color-two" href="<?php echo esc_url($item['bwdpc_social_two_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_two'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            <?php if('yes' === $item['bwdpc_social_three_switcher']){ ?><a class="bwdpc-social-three bwdpc-social-bg-color-three" href="<?php echo esc_url($item['bwdpc_social_three_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_three'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            <?php if('yes' === $item['bwdpc_social_four_switcher']){ ?><a class="bwdpc-social-four bwdpc-social-bg-color-four" href="<?php echo esc_url($item['bwdpc_social_four_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_four'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                        </div>
                                    </div>
                                </div>
                                <?php
                                }
                                }
                            ?>
                        </div>
                    </div>
                </div>
            <?php
        }elseif ('style10' === $settings['bwdpc_profile_card_style']) { 
            ?>
                <div class="bwdpc-profile-card-10-area ">
                    <div class="container-fluid">
                        <div class="row bwdpc_gapr">
                            <?php   
                                if( $settings['bwdpc_profile_card_repeater_list'] ) {
                                    foreach( $settings['bwdpc_profile_card_repeater_list'] as $item ) { ?>
                                <div class="column_number col-lg-4 col-md-6 col-sm-12 bwdpc_gapc">
                                    <div class="bwdpc-profile-card-item">
                                        <div class="bwdpc-profile-content-item">
                                            <div class="bwdpc-profile-card-img">
                                                <img src="<?php echo esc_url($item['bwdpc_profile_card_image']['url']); ?>" alt="">
                                            </div>
                                            <div class="bwdpc-profile-content-area">
                                                <div class="bwdpc-profile-card-name-info">
                                                    <?php if( $bwdpc_title_show === 'yes' ) {?>
                                                    <div class="bwdpc-profile-card-name">
                                                        <?php echo esc_html($item['bwdpc_profile_card_title']); ?>
                                                    </div><?php } ?>
                                                    <?php if( $bwdpc_username_show === 'yes' ) {?>
                                                    <div class="bwdpc-profile-card-username">
                                                        <?php echo esc_html($item['bwdpc_profile_card_username']); ?>
                                                    </div><?php } ?>
                                                </div>
                                                <div class="bwdpc-profile-card-bio">
                                                    <?php if( $bwdpc_location_show === 'yes' ) {?>
                                                    <div class="bwdpc-profile-card-adress">
                                                        <div class="bwdpc-profile-adress-title">
                                                            <?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_profile_location_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                                        </div>
                                                        <?php echo esc_html($item['bwdpc_profile_location_title']); ?> 
                                                    </div><?php } ?>
                                                </div>
                                                <?php if( $bwdpc_status_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-status">
                                                    <div class="bwdpc-profile-state-area">
                                                        <div class="bwdpc-profile-stat">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_one_number']); ?>
                                                            </div>
                                                        <div class="bwdpc-profile-label">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_one_name']); ?>
                                                        </div>
                                                    </div>
                                                    <div class="bwdpc-profile-state-area">
                                                        <div class="bwdpc-profile-stat">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_two_number']); ?>
                                                        </div>
                                                        <div class="bwdpc-profile-label">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_two_name']); ?>
                                                        </div>
                                                    </div>
                                                    <div class="bwdpc-profile-state-area">
                                                        <div class="bwdpc-profile-stat">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_three_number']); ?>
                                                        </div>
                                                        <div class="bwdpc-profile-label">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_three_name']); ?>
                                                        </div>
                                                    </div>
                                                    <div class="bwdpc-profile-state-area">
                                                        <div class="bwdpc-profile-stat">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_four_number']); ?>
                                                        </div>
                                                        <div class="bwdpc-profile-label">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_four_name']); ?>
                                                        </div>
                                                    </div>
                                                </div><?php } ?>
                                                <?php if( $bwdpc_button_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-btn">
                                                    <a href="<?php echo esc_url($item['bwdpc_profile_btn_link']['url']); ?>" class="bwdpc-profile-btn"><?php echo esc_html($item['bwdpc_profile_btn_text']); ?></a>
                                                </div><?php } ?>
                                            </div>
                                        </div>
                                        <div class="bwdpc-profile-card-share-link">
                                           <?php if('yes' === $item['bwdpc_social_one_switcher']){ ?><a class="bwdpc-social-one bwdpc-social-bg-color-one" href="<?php echo esc_url($item['bwdpc_social_one_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_one'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            <?php if('yes' === $item['bwdpc_social_two_switcher']){ ?><a class="bwdpc-social-two bwdpc-social-bg-color-two" href="<?php echo esc_url($item['bwdpc_social_two_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_two'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            <?php if('yes' === $item['bwdpc_social_three_switcher']){ ?><a class="bwdpc-social-three bwdpc-social-bg-color-three" href="<?php echo esc_url($item['bwdpc_social_three_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_three'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            <?php if('yes' === $item['bwdpc_social_four_switcher']){ ?><a class="bwdpc-social-four bwdpc-social-bg-color-four" href="<?php echo esc_url($item['bwdpc_social_four_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_four'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                        </div>
                                    </div>
                                </div>
                                <?php
                                }
                                }
                            ?>
                        </div>
                    </div>
                </div>
            <?php
        }elseif ('style11' === $settings['bwdpc_profile_card_style']) { 
            ?>
                <div class="bwdpc-profile-card-11-area ">
                    <div class="container-fluid">
                        <div class="row bwdpc_gapr">
                            <?php   
                                if( $settings['bwdpc_profile_card_repeater_list'] ) {
                                    foreach( $settings['bwdpc_profile_card_repeater_list'] as $item ) { ?>
                                <div class="column_number col-lg-4 col-md-6 col-sm-12 bwdpc_gapc">
                                    <div class="bwdpc-profile-card-item">
                                        <div class="bwdpc-profile-content-item">
                                            <div class="bwdpc-profile-card-img">
                                                <div class="bwdpc-profile-circle-1"></div>
                                                <div class="bwdpc-profile-circle-2"></div>
                                                <img src="<?php echo esc_url($item['bwdpc_profile_card_image']['url']); ?>" alt="">
                                            </div>
                                            <div class="bwdpc-profile-card-name-info">
                                                <?php if( $bwdpc_title_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-name">
                                                    <?php echo esc_html($item['bwdpc_profile_card_title']); ?>
                                                </div><?php } ?>
                                                <?php if( $bwdpc_username_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-username">
                                                    <?php echo esc_html($item['bwdpc_profile_card_username']); ?>
                                                </div><?php } ?>
                                            </div>
                                            <div class="bwdpc-profile-card-bio">
                                                <?php if( $bwdpc_location_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-adress">
                                                    <div class="bwdpc-profile-adress-title">
                                                        <?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_profile_location_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                                    </div>
                                                    <?php echo esc_html($item['bwdpc_profile_location_title']); ?> 
                                                </div><?php } ?>
                                            </div>
                                            <div class="bwdpc-profile-card-share-link">
                                                 <?php if('yes' === $item['bwdpc_social_one_switcher']){ ?><a class="bwdpc-social-one bwdpc-social-bg-color-one bwdpc-social-bg-color-oneb" href="<?php echo esc_url($item['bwdpc_social_one_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_one'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_two_switcher']){ ?><a class="bwdpc-social-two bwdpc-social-bg-color-two bwdpc-social-bg-color-twob" href="<?php echo esc_url($item['bwdpc_social_two_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_two'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_three_switcher']){ ?><a class="bwdpc-social-three bwdpc-social-bg-color-three bwdpc-social-bg-color-threeb" href="<?php echo esc_url($item['bwdpc_social_three_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_three'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_four_switcher']){ ?><a class="bwdpc-social-four bwdpc-social-bg-color-four bwdpc-social-bg-color-fourb" href="<?php echo esc_url($item['bwdpc_social_four_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_four'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            </div>
                                            <?php if( $bwdpc_button_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-btn">
                                                <a href="<?php echo esc_url($item['bwdpc_profile_btn_link']['url']); ?>" class="bwdpc-profile-btn"><?php echo esc_html($item['bwdpc_profile_btn_text']); ?></a>
                                            </div><?php } ?>
                                        </div>
                                        <?php if( $bwdpc_status_show === 'yes' ) {?>
                                        <div class="bwdpc-profile-card-status">
                                            <div class="bwdpc-profile-state-area">
                                                <div class="bwdpc-profile-stat">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_one_number']); ?>
                                                    </div>
                                                <div class="bwdpc-profile-label">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_one_name']); ?>
                                                </div>
                                            </div>
                                            <div class="bwdpc-profile-state-area">
                                                <div class="bwdpc-profile-stat">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_two_number']); ?>
                                                </div>
                                                <div class="bwdpc-profile-label">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_two_name']); ?>
                                                </div>
                                            </div>
                                            <div class="bwdpc-profile-state-area">
                                                <div class="bwdpc-profile-stat">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_three_number']); ?>
                                                </div>
                                                <div class="bwdpc-profile-label">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_three_name']); ?>
                                                </div>
                                            </div>
                                            <div class="bwdpc-profile-state-area">
                                                <div class="bwdpc-profile-stat">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_four_number']); ?>
                                                </div>
                                                <div class="bwdpc-profile-label">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_four_name']); ?>
                                                </div>
                                            </div>
                                        </div><?php } ?>
                                    </div>
                                </div>
                                <?php
                                }
                                }
                            ?>
                        </div>
                    </div>
                </div>
            <?php
        }elseif ('style12' === $settings['bwdpc_profile_card_style']) { 
            ?>
                <div class="bwdpc-profile-card-12-area ">
                    <div class="container-fluid">
                        <div class="row bwdpc_gapr">
                            <?php   
                                if( $settings['bwdpc_profile_card_repeater_list'] ) {
                                    foreach( $settings['bwdpc_profile_card_repeater_list'] as $item ) { ?>
                                <div class="column_number col-lg-4 col-md-6 col-sm-12 bwdpc_gapc">
                                    <div class="bwdpc-profile-card-item">
                                        <div class="bwdpc-profile-card-img">
                                            <img src="<?php echo esc_url($item['bwdpc_profile_card_image']['url']); ?>" alt="">
                                        </div>
                                        <div class="bwdpc-profile-content-area">
                                            <div class="bwdpc-profile-card-name-info">
                                                <?php if( $bwdpc_title_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-name">
                                                    <?php echo esc_html($item['bwdpc_profile_card_title']); ?>
                                                </div><?php } ?>
                                                <?php if( $bwdpc_username_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-username">
                                                    <?php echo esc_html($item['bwdpc_profile_card_username']); ?>
                                                </div><?php } ?>
                                            </div>
                                            <div class="bwdpc-profile-card-bio">
                                                <?php if( $bwdpc_location_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-adress">
                                                    <div class="bwdpc-profile-adress-title">
                                                        <?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_profile_location_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                                    </div>
                                                    <?php echo esc_html($item['bwdpc_profile_location_title']); ?> 
                                                </div><?php } ?>
                                            </div>
                                            <?php if( $bwdpc_status_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-status">
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_one_number']); ?>
                                                        </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_one_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_two_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_two_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_three_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_three_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_four_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_four_name']); ?>
                                                    </div>
                                                </div>
                                            </div><?php } ?>
                                            <?php if( $bwdpc_button_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-btn">
                                                <a href="<?php echo esc_url($item['bwdpc_profile_btn_link']['url']); ?>" class="bwdpc-profile-btn"><?php echo esc_html($item['bwdpc_profile_btn_text']); ?></a>
                                            </div><?php } ?>
                                            <div class="bwdpc-profile-card-share-link">
                                                <?php if('yes' === $item['bwdpc_social_one_switcher']){ ?><a class="bwdpc-social-one bwdpc-social-bg-color-one" href="<?php echo esc_url($item['bwdpc_social_one_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_one'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_two_switcher']){ ?><a class="bwdpc-social-two bwdpc-social-bg-color-two" href="<?php echo esc_url($item['bwdpc_social_two_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_two'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_three_switcher']){ ?><a class="bwdpc-social-three bwdpc-social-bg-color-three" href="<?php echo esc_url($item['bwdpc_social_three_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_three'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_four_switcher']){ ?><a class="bwdpc-social-four bwdpc-social-bg-color-four" href="<?php echo esc_url($item['bwdpc_social_four_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_four'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <?php
                                }
                                }
                            ?>
                        </div>
                    </div>
                </div>
            <?php
        }elseif ('style13' === $settings['bwdpc_profile_card_style']) { 
            ?>
                <div class="bwdpc-profile-card-13-area ">
                    <div class="container-fluid">
                        <div class="row bwdpc_gapr">
                            <?php   
                                if( $settings['bwdpc_profile_card_repeater_list'] ) {
                                    foreach( $settings['bwdpc_profile_card_repeater_list'] as $item ) { ?>
                                <div class="column_number col-lg-4 col-md-6 col-sm-12 bwdpc_gapc">
                                    <div class="bwdpc-profile-card-item">
                                        <div class="bwdpc-profile-card-img">
                                            <img src="<?php echo esc_url($item['bwdpc_profile_card_image']['url']); ?>" alt="">
                                        </div>
                                        <div class="bwdpc-profile-card-name-info">
                                            <?php if( $bwdpc_title_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-name">
                                                <?php echo esc_html($item['bwdpc_profile_card_title']); ?>
                                            </div><?php } ?>
                                            <?php if( $bwdpc_username_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-username">
                                                <?php echo esc_html($item['bwdpc_profile_card_username']); ?>
                                            </div><?php } ?>
                                        </div>
                                        <div class="bwdpc-profile-card-bio">
                                            <?php if( $bwdpc_location_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-adress">
                                                <div class="bwdpc-profile-adress-title">
                                                    <?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_profile_location_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                                </div>
                                                <?php echo esc_html($item['bwdpc_profile_location_title']); ?> 
                                            </div><?php } ?>
                                        </div>
                                        <?php if( $bwdpc_status_show === 'yes' ) {?>
                                        <div class="bwdpc-profile-card-status">
                                            <div class="bwdpc-profile-state-area">
                                                <div class="bwdpc-profile-stat">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_one_number']); ?>
                                                    </div>
                                                <div class="bwdpc-profile-label">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_one_name']); ?>
                                                </div>
                                            </div>
                                            <div class="bwdpc-profile-state-area">
                                                <div class="bwdpc-profile-stat">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_two_number']); ?>
                                                </div>
                                                <div class="bwdpc-profile-label">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_two_name']); ?>
                                                </div>
                                            </div>
                                            <div class="bwdpc-profile-state-area">
                                                <div class="bwdpc-profile-stat">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_three_number']); ?>
                                                </div>
                                                <div class="bwdpc-profile-label">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_three_name']); ?>
                                                </div>
                                            </div>
                                            <div class="bwdpc-profile-state-area">
                                                <div class="bwdpc-profile-stat">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_four_number']); ?>
                                                </div>
                                                <div class="bwdpc-profile-label">
                                                    <?php echo esc_html($item['bwdpc_profile_stat_four_name']); ?>
                                                </div>
                                            </div>
                                        </div><?php } ?>
                                        <div class="bwdpc-profile-card-share-link">
                                            <?php if('yes' === $item['bwdpc_social_one_switcher']){ ?><a class="bwdpc-social-one bwdpc-social-bg-color-oneb" href="<?php echo esc_url($item['bwdpc_social_one_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_one'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            <?php if('yes' === $item['bwdpc_social_two_switcher']){ ?><a class="bwdpc-social-two bwdpc-social-bg-color-twob" href="<?php echo esc_url($item['bwdpc_social_two_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_two'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            <?php if('yes' === $item['bwdpc_social_three_switcher']){ ?><a class="bwdpc-social-three bwdpc-social-bg-color-threeb" href="<?php echo esc_url($item['bwdpc_social_three_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_three'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            <?php if('yes' === $item['bwdpc_social_four_switcher']){ ?><a class="bwdpc-social-four bwdpc-social-bg-color-fourb" href="<?php echo esc_url($item['bwdpc_social_four_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_four'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                        </div>
                                        <?php if( $bwdpc_button_show === 'yes' ) {?>
                                        <div class="bwdpc-profile-card-btn">
                                            <a href="<?php echo esc_url($item['bwdpc_profile_btn_link']['url']); ?>" class="bwdpc-profile-btn"><?php echo esc_html($item['bwdpc_profile_btn_text']); ?></a>
                                        </div><?php } ?>
                                    </div>
                                </div>
                                <?php
                                }
                                }
                            ?>
                        </div>
                    </div>
                </div>
            <?php
        }elseif ('style14' === $settings['bwdpc_profile_card_style']) { 
            ?>
                <div class="bwdpc-profile-card-14-area ">
                    <div class="container-fluid">
                        <div class="row bwdpc_gapr">
                            <?php   
                                if( $settings['bwdpc_profile_card_repeater_list'] ) {
                                    foreach( $settings['bwdpc_profile_card_repeater_list'] as $item ) { ?>
                                <div class="column_number col-lg-4 col-md-6 col-sm-12 bwdpc_gapc">
                                    <div class="bwdpc-profile-card-item">
                                        <div class="bwdpc-profile-card-img">
                                            <img src="<?php echo esc_url($item['bwdpc_profile_card_image']['url']); ?>" alt="">
                                        </div>
                                        <div class="bwdpc-profile-content-item">
                                            <div class="bwdpc-profile-card-name-info">
                                                <?php if( $bwdpc_title_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-name">
                                                    <?php echo esc_html($item['bwdpc_profile_card_title']); ?>
                                                </div><?php } ?>
                                                <?php if( $bwdpc_username_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-username">
                                                    <?php echo esc_html($item['bwdpc_profile_card_username']); ?>
                                                </div><?php } ?>
                                            </div>
                                        </div>
                                        <div class="bwdpc-profile-content-area">
                                            <div class="bwdpc-profile-card-bio">
                                                <?php if( $bwdpc_location_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-adress">
                                                    <div class="bwdpc-profile-adress-title">
                                                        <?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_profile_location_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                                    </div>
                                                    <?php echo esc_html($item['bwdpc_profile_location_title']); ?> 
                                                </div><?php } ?>
                                            </div>
                                            <?php if( $bwdpc_status_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-status">
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_one_number']); ?>
                                                        </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_one_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_two_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_two_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_three_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_three_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_four_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_four_name']); ?>
                                                    </div>
                                                </div>
                                            </div><?php } ?>
                                            <div class="bwdpc-profile-card-share-link">
                                                <?php if('yes' === $item['bwdpc_social_one_switcher']){ ?><a class="bwdpc-social-one bwdpc-social-bg-color-one" href="<?php echo esc_url($item['bwdpc_social_one_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_one'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_two_switcher']){ ?><a class="bwdpc-social-two bwdpc-social-bg-color-two" href="<?php echo esc_url($item['bwdpc_social_two_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_two'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_three_switcher']){ ?><a class="bwdpc-social-three bwdpc-social-bg-color-three" href="<?php echo esc_url($item['bwdpc_social_three_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_three'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_four_switcher']){ ?><a class="bwdpc-social-four bwdpc-social-bg-color-four" href="<?php echo esc_url($item['bwdpc_social_four_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_four'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            </div>
                                            <?php if( $bwdpc_button_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-btn">
                                                <a href="<?php echo esc_url($item['bwdpc_profile_btn_link']['url']); ?>" class="bwdpc-profile-btn"><?php echo esc_html($item['bwdpc_profile_btn_text']); ?></a>
                                            </div><?php } ?>
                                        </div>
                                    </div>
                                </div>
                                <?php
                                }
                                }
                            ?>
                        </div>
                    </div>
                </div>
            <?php
        }elseif ('style15' === $settings['bwdpc_profile_card_style']) { 
            ?>
                <div class="bwdpc-profile-card-15-area ">
                    <div class="container-fluid">
                        <div class="row bwdpc_gapr">
                            <?php   
                                if( $settings['bwdpc_profile_card_repeater_list'] ) {
                                    foreach( $settings['bwdpc_profile_card_repeater_list'] as $item ) { ?>
                                <div class="column_number col-lg-4 col-md-6 col-sm-12 bwdpc_gapc">
                                    <div class="bwdpc-profile-card-item">
                                        <div class="bwdpc-profile-content-area">
                                            <div class="bwdpc-profile-card-img">
                                                <img src="<?php echo esc_url($item['bwdpc_profile_card_image']['url']); ?>" alt="">
                                            </div>
                                            <div class="bwdpc-profile-status-area">
                                                <?php if( $bwdpc_status_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-status">
                                                    <div class="bwdpc-profile-state-area">
                                                        <div class="bwdpc-profile-stat">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_one_number']); ?>
                                                            </div>
                                                        <div class="bwdpc-profile-label">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_one_name']); ?>
                                                        </div>
                                                    </div>
                                                    <div class="bwdpc-profile-state-area">
                                                        <div class="bwdpc-profile-stat">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_two_number']); ?>
                                                        </div>
                                                        <div class="bwdpc-profile-label">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_two_name']); ?>
                                                        </div>
                                                    </div>
                                                    <div class="bwdpc-profile-state-area">
                                                        <div class="bwdpc-profile-stat">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_three_number']); ?>
                                                        </div>
                                                        <div class="bwdpc-profile-label">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_three_name']); ?>
                                                        </div>
                                                    </div>
                                                    <div class="bwdpc-profile-state-area">
                                                        <div class="bwdpc-profile-stat">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_four_number']); ?>
                                                        </div>
                                                        <div class="bwdpc-profile-label">
                                                            <?php echo esc_html($item['bwdpc_profile_stat_four_name']); ?>
                                                        </div>
                                                    </div>
                                                </div><?php } ?>
                                                <?php if( $bwdpc_button_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-btn">
                                                    <a href="<?php echo esc_url($item['bwdpc_profile_btn_link']['url']); ?>" class="bwdpc-profile-btn"><?php echo esc_html($item['bwdpc_profile_btn_text']); ?></a>
                                                </div><?php } ?>
                                            </div>
                                        </div>
                                        <div class="bwdpc-profile-content-item">
                                            <div class="bwdpc-profile-card-name-info">
                                                <?php if( $bwdpc_title_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-name">
                                                    <?php echo esc_html($item['bwdpc_profile_card_title']); ?>
                                                </div><?php } ?>
                                                <?php if( $bwdpc_username_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-username">
                                                    <?php echo esc_html($item['bwdpc_profile_card_username']); ?>
                                                </div><?php } ?>
                                            </div>
                                            <div class="bwdpc-profile-card-bio">
                                                <?php if( $bwdpc_location_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-adress">
                                                    <div class="bwdpc-profile-adress-title">
                                                        <?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_profile_location_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                                    </div>
                                                    <?php echo esc_html($item['bwdpc_profile_location_title']); ?> 
                                                </div><?php } ?>
                                            </div>
                                            <div class="bwdpc-profile-card-share-link">
                                                 <?php if('yes' === $item['bwdpc_social_one_switcher']){ ?><a class="bwdpc-social-one bwdpc-social-bg-color-one" href="<?php echo esc_url($item['bwdpc_social_one_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_one'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_two_switcher']){ ?><a class="bwdpc-social-two bwdpc-social-bg-color-two" href="<?php echo esc_url($item['bwdpc_social_two_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_two'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_three_switcher']){ ?><a class="bwdpc-social-three bwdpc-social-bg-color-three" href="<?php echo esc_url($item['bwdpc_social_three_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_three'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_four_switcher']){ ?><a class="bwdpc-social-four bwdpc-social-bg-color-four" href="<?php echo esc_url($item['bwdpc_social_four_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_four'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <?php
                                }
                                }
                            ?>
                        </div>
                    </div>
                </div>
            <?php
        }elseif ('style16' === $settings['bwdpc_profile_card_style']) { 
            ?>
                <div class="bwdpc-profile-card-16-area ">
                    <div class="container-fluid">
                        <div class="row bwdpc_gapr">
                            <?php   
                                if( $settings['bwdpc_profile_card_repeater_list'] ) {
                                    foreach( $settings['bwdpc_profile_card_repeater_list'] as $item ) { ?>
                                <div class="column_number col-lg-4 col-md-6 col-sm-12 bwdpc_gapc">
                                    <div class="bwdpc-profile-card-item">
                                        <div class="bwdpc-profile-card-img">
                                            <img src="<?php echo esc_url($item['bwdpc_profile_card_image']['url']); ?>" alt="">
                                        </div>
                                        <div class="bwdpc-profile-card-share-link">
                                            <?php if('yes' === $item['bwdpc_social_one_switcher']){ ?><a class="bwdpc-social-one bwdpc-social-bg-color-one" href="<?php echo esc_url($item['bwdpc_social_one_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_one'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            <?php if('yes' === $item['bwdpc_social_two_switcher']){ ?><a class="bwdpc-social-two bwdpc-social-bg-color-two" href="<?php echo esc_url($item['bwdpc_social_two_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_two'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            <?php if('yes' === $item['bwdpc_social_three_switcher']){ ?><a class="bwdpc-social-three bwdpc-social-bg-color-three" href="<?php echo esc_url($item['bwdpc_social_three_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_three'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            <?php if('yes' === $item['bwdpc_social_four_switcher']){ ?><a class="bwdpc-social-four bwdpc-social-bg-color-four" href="<?php echo esc_url($item['bwdpc_social_four_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_four'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                        </div>
                                        <div class="bwdpc-profile-card-name-info">
                                            <?php if( $bwdpc_title_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-name">
                                                <?php echo esc_html($item['bwdpc_profile_card_title']); ?>
                                            </div><?php } ?>
                                            <?php if( $bwdpc_username_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-username">
                                                <?php echo esc_html($item['bwdpc_profile_card_username']); ?>
                                            </div><?php } ?>
                                        </div>
                                        <div class="bwdpc-profile-content-area">
                                            <div class="bwdpc-profile-card-bio">
                                                <?php if( $bwdpc_location_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-adress">
                                                    <div class="bwdpc-profile-adress-title">
                                                        <?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_profile_location_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                                    </div>
                                                    <?php echo esc_html($item['bwdpc_profile_location_title']); ?> 
                                                </div><?php } ?>
                                            </div>
                                            <?php if( $bwdpc_status_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-status">
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_one_number']); ?>
                                                        </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_one_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_two_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_two_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_three_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_three_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_four_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_four_name']); ?>
                                                    </div>
                                                </div>
                                            </div><?php } ?>
                                        </div>
                                        <?php if( $bwdpc_button_show === 'yes' ) {?>
                                        <div class="bwdpc-profile-card-btn">
                                            <a href="<?php echo esc_url($item['bwdpc_profile_btn_link']['url']); ?>" class="bwdpc-profile-btn"><?php echo esc_html($item['bwdpc_profile_btn_text']); ?></a>
                                        </div><?php } ?>
                                    </div>
                                </div>
                                <?php
                                }
                                }
                            ?>
                        </div>
                    </div>
                </div>
            <?php
        }elseif ('style17' === $settings['bwdpc_profile_card_style']) { 
            ?>
                <div class="bwdpc-profile-card-17-area ">
                    <div class="container-fluid">
                        <div class="row bwdpc_gapr">
                            <?php   
                                if( $settings['bwdpc_profile_card_repeater_list'] ) {
                                    foreach( $settings['bwdpc_profile_card_repeater_list'] as $item ) { ?>
                                <div class="column_number col-lg-4 col-md-6 col-sm-12 bwdpc_gapc">
                                    <div class="bwdpc-profile-card-item">
                                        <div class="bwdpc-profile-top-content">
                                            <div class="bwdpc-profile-card-img">
                                                <img src="<?php echo esc_url($item['bwdpc_profile_card_image']['url']); ?>" alt="">
                                            </div>
                                            <div class="bwdpc-profile-content-item">
                                                <div class="bwdpc-profile-card-name-info">
                                                    <?php if( $bwdpc_title_show === 'yes' ) {?>
                                                    <div class="bwdpc-profile-card-name">
                                                        <?php echo esc_html($item['bwdpc_profile_card_title']); ?>
                                                    </div><?php } ?>
                                                    <?php if( $bwdpc_username_show === 'yes' ) {?>
                                                    <div class="bwdpc-profile-card-username">
                                                        <?php echo esc_html($item['bwdpc_profile_card_username']); ?>
                                                    </div><?php } ?>
                                                </div>
                                                <div class="bwdpc-profile-card-bio">
                                                    <?php if( $bwdpc_location_show === 'yes' ) {?>
                                                    <div class="bwdpc-profile-card-adress">
                                                        <div class="bwdpc-profile-adress-title">
                                                            <?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_profile_location_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                                        </div>
                                                        <?php echo esc_html($item['bwdpc_profile_location_title']); ?> 
                                                    </div><?php } ?>
                                                </div>
                                            </div>
                                            <div class="bwdpc-profile-card-add"><i class="fa fa-plus"></i></div>
                                        </div>
                                        <div class="bwdpc-profile-bottom-content">
                                            <?php if( $bwdpc_status_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-status">
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_one_number']); ?>
                                                        </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_one_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_two_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_two_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_three_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_three_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_four_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_four_name']); ?>
                                                    </div>
                                                </div>
                                            </div><?php } ?>
                                        </div>
                                        <div class="bwdpc-profile-card-back">
                                            <div class="bwdpc-profile-card-share-link">
                                                <?php if('yes' === $item['bwdpc_social_one_switcher']){ ?><a class="bwdpc-social-one bwdpc-social-bg-color-one" href="<?php echo esc_url($item['bwdpc_social_one_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_one'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_two_switcher']){ ?><a class="bwdpc-social-two bwdpc-social-bg-color-two" href="<?php echo esc_url($item['bwdpc_social_two_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_two'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_three_switcher']){ ?><a class="bwdpc-social-three bwdpc-social-bg-color-three" href="<?php echo esc_url($item['bwdpc_social_three_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_three'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_four_switcher']){ ?><a class="bwdpc-social-four bwdpc-social-bg-color-four" href="<?php echo esc_url($item['bwdpc_social_four_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_four'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            </div>
                                            <?php if( $bwdpc_button_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-btn">
                                                <a href="<?php echo esc_url($item['bwdpc_profile_btn_link']['url']); ?>" class="bwdpc-profile-btn"><?php echo esc_html($item['bwdpc_profile_btn_text']); ?></a>
                                            </div><?php } ?>
                                        </div>
                                    </div>
                                </div>
                                <?php
                                }
                                }
                            ?>
                        </div>
                    </div>
                </div>
            <?php
        }elseif ('style18' === $settings['bwdpc_profile_card_style']) { 
            ?>
                <div class="bwdpc-profile-card-18-area ">
                    <div class="container-fluid">
                        <div class="row bwdpc_gapr">
                            <?php   
                                if( $settings['bwdpc_profile_card_repeater_list'] ) {
                                    foreach( $settings['bwdpc_profile_card_repeater_list'] as $item ) { ?>
                                <div class="column_number col-lg-4 col-md-6 col-sm-12 bwdpc_gapc">
                                    <div class="bwdpc-profile-card-item">
                                        <div class="bwdpc-profile-card-img">
                                            <img src="<?php echo esc_url($item['bwdpc_profile_card_image']['url']); ?>" alt="">
                                        </div>
                                        <div class="bwdpc-profile-content-area">
                                            <div class="bwdpc-profile-card-name-info">
                                                <?php if( $bwdpc_title_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-name">
                                                    <?php echo esc_html($item['bwdpc_profile_card_title']); ?>
                                                </div><?php } ?>
                                                <?php if( $bwdpc_username_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-username">
                                                    <?php echo esc_html($item['bwdpc_profile_card_username']); ?>
                                                </div><?php } ?>
                                            </div>
                                            <div class="bwdpc-profile-card-bio">
                                                <?php if( $bwdpc_location_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-adress">
                                                    <div class="bwdpc-profile-adress-title">
                                                        <?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_profile_location_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                                    </div>
                                                    <?php echo esc_html($item['bwdpc_profile_location_title']); ?> 
                                                </div><?php } ?>
                                            </div>
                                            <?php if( $bwdpc_status_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-status">
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_one_number']); ?>
                                                        </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_one_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_two_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_two_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_three_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_three_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_four_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_four_name']); ?>
                                                    </div>
                                                </div>
                                            </div><?php } ?>
                                            <?php if( $bwdpc_button_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-btn">
                                                <a href="<?php echo esc_url($item['bwdpc_profile_btn_link']['url']); ?>" class="bwdpc-profile-btn"><?php echo esc_html($item['bwdpc_profile_btn_text']); ?></a>
                                            </div><?php } ?>
                                            <div class="bwdpc-profile-card-share-link">
                                                <?php if('yes' === $item['bwdpc_social_one_switcher']){ ?><a class="bwdpc-social-one bwdpc-social-bg-color-one" href="<?php echo esc_url($item['bwdpc_social_one_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_one'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_two_switcher']){ ?><a class="bwdpc-social-two bwdpc-social-bg-color-two" href="<?php echo esc_url($item['bwdpc_social_two_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_two'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_three_switcher']){ ?><a class="bwdpc-social-three bwdpc-social-bg-color-three" href="<?php echo esc_url($item['bwdpc_social_three_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_three'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_four_switcher']){ ?><a class="bwdpc-social-four bwdpc-social-bg-color-four" href="<?php echo esc_url($item['bwdpc_social_four_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_four'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <?php
                                }
                                }
                            ?>
                        </div>
                    </div>
                </div>
            <?php
        }elseif ('style19' === $settings['bwdpc_profile_card_style']) { 
            ?>
                <div class="bwdpc-profile-card-19-area ">
                    <div class="container-fluid">
                        <div class="row bwdpc_gapr">
                            <?php   
                                if( $settings['bwdpc_profile_card_repeater_list'] ) {
                                    foreach( $settings['bwdpc_profile_card_repeater_list'] as $item ) { ?>
                                <div class="column_number col-lg-4 col-md-6 col-sm-12 bwdpc_gapc">
                                    <div class="bwdpc-profile-card-item">
                                        <div class="bwdpc-profile-card-img">
                                            <img src="<?php echo esc_url($item['bwdpc_profile_card_image']['url']); ?>" alt="">
                                        </div>
                                        <div class="bwdpc-profile-content-area">
                                            <div class="bwdpc-profile-card-name-info">
                                                <?php if( $bwdpc_title_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-name">
                                                    <?php echo esc_html($item['bwdpc_profile_card_title']); ?>
                                                </div><?php } ?>
                                                <?php if( $bwdpc_username_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-username">
                                                    <?php echo esc_html($item['bwdpc_profile_card_username']); ?>
                                                </div><?php } ?>
                                            </div>
                                        </div>
                                        <div class="bwdpc-profile-content-item">
                                            <div class="bwdpc-profile-card-bio">
                                                <?php if( $bwdpc_location_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-adress">
                                                    <div class="bwdpc-profile-adress-title">
                                                        <?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_profile_location_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                                    </div>
                                                    <?php echo esc_html($item['bwdpc_profile_location_title']); ?> 
                                                </div><?php } ?>
                                            </div>
                                            <?php if( $bwdpc_status_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-status">
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_one_number']); ?>
                                                        </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_one_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_two_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_two_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_three_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_three_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_four_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_four_name']); ?>
                                                    </div>
                                                </div>
                                            </div><?php } ?>
                                            <div class="bwdpc-profile-card-share-link">
                                                <?php if('yes' === $item['bwdpc_social_one_switcher']){ ?><a class="bwdpc-social-one bwdpc-social-bg-color-one" href="<?php echo esc_url($item['bwdpc_social_one_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_one'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_two_switcher']){ ?><a class="bwdpc-social-two bwdpc-social-bg-color-two" href="<?php echo esc_url($item['bwdpc_social_two_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_two'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_three_switcher']){ ?><a class="bwdpc-social-three bwdpc-social-bg-color-three" href="<?php echo esc_url($item['bwdpc_social_three_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_three'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                <?php if('yes' === $item['bwdpc_social_four_switcher']){ ?><a class="bwdpc-social-four bwdpc-social-bg-color-four" href="<?php echo esc_url($item['bwdpc_social_four_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_four'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            </div>
                                            <?php if( $bwdpc_button_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-btn">
                                                <a href="<?php echo esc_url($item['bwdpc_profile_btn_link']['url']); ?>" class="bwdpc-profile-btn"><?php echo esc_html($item['bwdpc_profile_btn_text']); ?></a>
                                            </div><?php } ?>
                                        </div>
                                    </div>
                                </div>
                                <?php
                                }
                                }
                            ?>
                        </div>
                    </div>
                </div>
            <?php
        }elseif ('style20' === $settings['bwdpc_profile_card_style']) { 
            ?>
                <div class="bwdpc-profile-card-20-area ">
                    <div class="container-fluid">
                        <div class="row bwdpc_gapr">
                            <?php   
                                if( $settings['bwdpc_profile_card_repeater_list'] ) {
                                    foreach( $settings['bwdpc_profile_card_repeater_list'] as $item ) { ?>
                                <div class="column_number col-lg-4 col-md-6 col-sm-12 bwdpc_gapc">
                                    <div class="bwdpc-profile-card-wrapper">
                                        <div class="bwdpc-profile-card-item">
                                            <div class="bwdpc-profile-front-card">
                                                <div class="bwdpc-profile-card-top-content">
                                                    <div class="bwdpc-profile-card-img">
                                                        <img src="<?php echo esc_url($item['bwdpc_profile_card_image']['url']); ?>" alt="">
                                                    </div>
                                                    <div class="bwdpc-profile-wrapper-img">
                                                        <img src="<?php echo esc_url($item['bwdpc_profile_card_image']['url']); ?>" alt="">
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-content-area">
                                                    <div class="bwdpc-profile-card-name-info">
                                                        <?php if( $bwdpc_title_show === 'yes' ) {?>
                                                        <div class="bwdpc-profile-card-name">
                                                            <?php echo esc_html($item['bwdpc_profile_card_title']); ?>
                                                        </div><?php } ?>
                                                        <?php if( $bwdpc_username_show === 'yes' ) {?>
                                                        <div class="bwdpc-profile-card-username">
                                                            <?php echo esc_html($item['bwdpc_profile_card_username']); ?>
                                                        </div><?php } ?>
                                                    </div>
                                                    <div class="bwdpc-profile-card-bio">
                                                        <?php if( $bwdpc_location_show === 'yes' ) {?>
                                                        <div class="bwdpc-profile-card-adress">
                                                            <div class="bwdpc-profile-adress-title">
                                                                <?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_profile_location_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                                                            </div>
                                                            <?php echo esc_html($item['bwdpc_profile_location_title']); ?> 
                                                        </div><?php } ?>
                                                    </div>
                                                    <?php if( $bwdpc_status_show === 'yes' ) {?>
                                                    <div class="bwdpc-profile-card-status">
                                                        <div class="bwdpc-profile-state-area">
                                                            <div class="bwdpc-profile-stat">
                                                                <?php echo esc_html($item['bwdpc_profile_stat_one_number']); ?>
                                                                </div>
                                                            <div class="bwdpc-profile-label">
                                                                <?php echo esc_html($item['bwdpc_profile_stat_one_name']); ?>
                                                            </div>
                                                        </div>
                                                        <div class="bwdpc-profile-state-area">
                                                            <div class="bwdpc-profile-stat">
                                                                <?php echo esc_html($item['bwdpc_profile_stat_two_number']); ?>
                                                            </div>
                                                            <div class="bwdpc-profile-label">
                                                                <?php echo esc_html($item['bwdpc_profile_stat_two_name']); ?>
                                                            </div>
                                                        </div>
                                                        <div class="bwdpc-profile-state-area">
                                                            <div class="bwdpc-profile-stat">
                                                                <?php echo esc_html($item['bwdpc_profile_stat_three_number']); ?>
                                                            </div>
                                                            <div class="bwdpc-profile-label">
                                                                <?php echo esc_html($item['bwdpc_profile_stat_three_name']); ?>
                                                            </div>
                                                        </div>
                                                        <div class="bwdpc-profile-state-area">
                                                            <div class="bwdpc-profile-stat">
                                                                <?php echo esc_html($item['bwdpc_profile_stat_four_number']); ?>
                                                            </div>
                                                            <div class="bwdpc-profile-label">
                                                                <?php echo esc_html($item['bwdpc_profile_stat_four_name']); ?>
                                                            </div>
                                                        </div>
                                                    </div><?php } ?>
                                                </div>   
                                            </div>   
                                            <div class="bwdpc-profile-back-card">
                                                <div class="bwdpc-profile-card-share-link">
                                                    <?php if('yes' === $item['bwdpc_social_one_switcher']){ ?><a class="bwdpc-social-one bwdpc-social-bg-color-one bwdpc-social-bg-color-oneb" href="<?php echo esc_url($item['bwdpc_social_one_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_one'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                    <?php if('yes' === $item['bwdpc_social_two_switcher']){ ?><a class="bwdpc-social-two bwdpc-social-bg-color-two bwdpc-social-bg-color-twob" href="<?php echo esc_url($item['bwdpc_social_two_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_two'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                    <?php if('yes' === $item['bwdpc_social_three_switcher']){ ?><a class="bwdpc-social-three bwdpc-social-bg-color-three bwdpc-social-bg-color-threeb" href="<?php echo esc_url($item['bwdpc_social_three_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_three'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                    <?php if('yes' === $item['bwdpc_social_four_switcher']){ ?><a class="bwdpc-social-four bwdpc-social-bg-color-four bwdpc-social-bg-color-fourb" href="<?php echo esc_url($item['bwdpc_social_four_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_four'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                                </div>
                                                <?php if( $bwdpc_button_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-btn">
                                                    <a href="<?php echo esc_url($item['bwdpc_profile_btn_link']['url']); ?>" class="bwdpc-profile-btn"><?php echo esc_html($item['bwdpc_profile_btn_text']); ?></a>
                                                </div><?php } ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <?php
                                }
                                }
                            ?>
                        </div>
                    </div>
                </div>
            <?php
        }elseif ('style21' === $settings['bwdpc_profile_card_style']) { 
            ?>
                <div class="bwdpc-profile-card-21-area ">
                    <div class="container-fluid">
                        <div class="row bwdpc_gapr">
                            <?php   
                                if( $settings['bwdpc_profile_card_repeater_list'] ) {
                                    foreach( $settings['bwdpc_profile_card_repeater_list'] as $item ) { ?>
                                <div class="column_number col-lg-4 col-md-6 col-sm-12 bwdpc_gapc">
                                    <div class="bwdpc-profile-card-item">
                                        <div class="bwdpc-profile-card-img">
                                            <img src="<?php echo esc_url($item['bwdpc_profile_card_image']['url']); ?>" alt="">
                                        </div>
                                        <div class="bwdpc-profile-content-area">
                                            <div class="bwdpc-profile-card-name-info">
                                                <?php if( $bwdpc_title_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-name">
                                                    <?php echo esc_html($item['bwdpc_profile_card_title']); ?>
                                                </div><?php } ?>
                                                <?php if( $bwdpc_username_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-username">
                                                    <?php echo esc_html($item['bwdpc_profile_card_username']); ?>
                                                </div><?php } ?>
                                            </div>
                                            <div class="bwdpc-profile-card-bio">
                                                <?php if( $bwdpc_location_show === 'yes' ) {?>
                                                <div class="bwdpc-profile-card-adress">
                                                    <div class="bwdpc-profile-adress-title">
                                                        <?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_profile_location_icon'], [ 'aria-hidden' => 'true' ] ); ?>.3
                                                    </div>
                                                    <?php echo esc_html($item['bwdpc_profile_location_title']); ?> 
                                                </div><?php } ?>
                                            </div>
                                            <?php if( $bwdpc_status_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-status">
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_one_number']); ?>
                                                        </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_one_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_two_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_two_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_three_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_three_name']); ?>
                                                    </div>
                                                </div>
                                                <div class="bwdpc-profile-state-area">
                                                    <div class="bwdpc-profile-stat">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_four_number']); ?>
                                                    </div>
                                                    <div class="bwdpc-profile-label">
                                                        <?php echo esc_html($item['bwdpc_profile_stat_four_name']); ?>
                                                    </div>
                                                </div>
                                            </div><?php } ?>
                                            <?php if( $bwdpc_button_show === 'yes' ) {?>
                                            <div class="bwdpc-profile-card-btn">
                                                <a href="<?php echo esc_url($item['bwdpc_profile_btn_link']['url']); ?>" class="bwdpc-profile-btn"><?php echo esc_html($item['bwdpc_profile_btn_text']); ?></a>
                                            </div><?php } ?>
                                        </div>
                                        <div class="bwdpc-profile-card-share-link">
                                            <?php if('yes' === $item['bwdpc_social_one_switcher']){ ?><a class="bwdpc-social-one bwdpc-social-bg-color-one" href="<?php echo esc_url($item['bwdpc_social_one_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_one'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            <?php if('yes' === $item['bwdpc_social_two_switcher']){ ?><a class="bwdpc-social-two bwdpc-social-bg-color-two" href="<?php echo esc_url($item['bwdpc_social_two_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_two'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            <?php if('yes' === $item['bwdpc_social_three_switcher']){ ?><a class="bwdpc-social-three bwdpc-social-bg-color-three" href="<?php echo esc_url($item['bwdpc_social_three_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_three'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                            <?php if('yes' === $item['bwdpc_social_four_switcher']){ ?><a class="bwdpc-social-four bwdpc-social-bg-color-four" href="<?php echo esc_url($item['bwdpc_social_four_link']['url']); ?>"><?php \Elementor\Icons_Manager::render_icon( $item['bwdpc_social_four'], [ 'aria-hidden' => 'true' ] ); ?></a> <?php } ?>
                                        </div>
                                    </div>
                                </div>
                                <?php
                                }
                                }
                            ?>
                        </div>
                    </div>
                </div>
            <?php
        }
    }
}